﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Login.aspx.cs" Inherits="King_LEPS.Web.Login" %>

<!DOCTYPE html>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="renderer" content="webkit" />
    <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1" />
    <title>供应商用户登录-<%=siteConfig.SiteName %></title>
    <meta name="keywords" content="<%=siteConfig.SeoKeywords %>" />
    <meta name="description" content="<%=siteConfig.SeoDescription %>" />
    <link href="templates/default/css/basic.css" rel="stylesheet" />
    <link href="templates/default/css/login.css" rel="stylesheet" />
    <script src="Scripts/jquery/jquery-1.8.3.min.js"></script>
    <script src="Scripts/Login.js" type="text/javascript"></script>
    <script src="Scripts/jquery/plugins/layer/layer.js" type="text/javascript"></script>
</head>
<body>
    <div class="header">
        <div class="header_mian">
            <div class="shouye"><i class="shouye_tu"></i><a href="/">微点慧采首页</a></div>
            <ul class="ul_left">
                <li class="hying">您好，欢迎来到微点慧采！</li>
                <li><a href="Login.aspx">请登录</a></li>
                <li><a href="Register.aspx" class="zhuce">注册</a></li>
            </ul>
            <ul class="ul_right">
                <li class="sub_true"><i class="kf"></i><a href="###" class="zhuce">客户服务</a><i class="jtou"></i><i class="t_line"></i>
                    <div class="my_gcw sub_top_cont ke_fu" style='text-align: center;'>
                        <ul>
                            <li><a onclick="Go('tencent://message/?uin=307844863&amp;Site=微点慧采&amp;Menu=yes');" href="javascript:void(0);">在线咨询</a></li>
                            <li><a href="contactus.aspx">客服中心</a></li>
                        </ul>
                    </div>
                </li>
            </ul>
        </div>
    </div>
    <div class="mod-b">
        <div id="header" class="mod-masthead">
            <div class="header-container layout" style="width: 1200px;">
                <div id="masthead-v5">
                    <div class="logo">
                        <a title="微点慧采" href="/">
                            <img alt="微点慧采" src="templates/default/images/logo.png">
                        </a>
                    </div>
                    <div style="height: 60px; width: 1px; float: left; border-left: 1px solid #DFE0E0; margin-top: 10px;"></div>
                    <div class="reg">欢迎登录</div>
                </div>
            </div>
        </div>
    </div>
    <div class="login_main">
        <form id="Login" runat="server" autocomplete="off">
            <div class="main_first">
                <div class="mymain">
                    <div class="login_top"><span class="s1">登录</span><span class="s2"><img src="images/jt.png" /><a href="Register.aspx">立即注册</a></span></div>
                    <div class="tip" id="tip" style="display: none; height: 30px;">
                        <img src="images/tip.png" /><span class="f_red" id="tips" runat="server"></span>
                    </div>
                    <div class="myuser">
                        <ul>
                            <li>
                                <i></i>
                                <asp:TextBox ID="txtUserName" runat="server" CssClass="login-field" placeholder="请输入用户名"
                                    MaxLength="50" onfocus="login_input_focus(this);" onblur="login_input_blur(this);"></asp:TextBox>
                            </li>
                        </ul>
                    </div>
                    <div style="height: 20px"></div>
                    <div class="mypwd">
                        <ul>
                            <li>
                                <i></i>
                                <asp:TextBox ID="txtPassword" runat="server" TextMode="Password"
                                    placeholder="请输入密码" MaxLength="50" onfocus="login_input_focus(this);" onblur="login_input_blur(this);"></asp:TextBox>
                            </li>
                        </ul>
                    </div>
                    <div class="mycaptcha">
                        <ul>
                            <li><span>
                                <asp:TextBox ID="txtCode" runat="server" Columns="10"
                                    MaxLength="4" placeholder="请输入验证码..." />
                                <a id="verifyCode" href="javascript:;" onclick="ToggleCode(this, 'Tools/verify_code.ashx');return false;">
                                    <img src="Tools/verify_code.ashx" id="captchapng" /></a>
                            </span></li>
                        </ul>
                    </div>
                    <div class="login_ft">
                        <span class="s1">
                            <input type="checkbox" name="cookietime" class="ck1" value="1" id="cookietime" checked />&nbsp;&nbsp;记住用户名</span>
                        <span class="s2"><a href="member/send.php" style="padding-bottom: 5px">
                            <a href="RePassword.aspx">忘记密码？</a></span>
                    </div>
                    <div class="login_an">
                        <asp:Button ID="btnSubmit" runat="server" Text="登 录" CssClass="submit" OnClick="btnSubmit_Click" />
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div id="footer-v1" class="mod-footer">
        <div class="footer-container">
            <div class="footer-ali-pages">
                <ul>
                    <li><a href="content.aspx?v=about">关于微点慧采</a> | </li>
                    <li><a href="content.aspx?v=job">诚聘英才</a>| </li>
                    <li><a href="content.aspx?v=service">服务条款</a> | </li>
                    <li><a href="content.aspx?v=ad">广告服务</a> | </li>
                    <li><a href="content.aspx?v=privacy">隐私保护</a> | </li>
                    <li><a href="content.aspx?v=law">法律声明</a> | </li>
                    <li><a href="content.aspx?v=link">隐私保护</a> | </li>
                    <li><a href="content.aspx?v=contact">联系我们</a></li>
                </ul>
            </div>
            <div class="footer-ali-copyright">
                <div>
                    <p>客服电话：<%=siteConfig.Tel %> </p>
                    <p>地址：<%=siteConfig.Address %></p>
                    <p class="dh">
                        Copyright &copy; 2015-2018 <a href="http://www.weidanid.com/"
                            target="_blank"><%=siteConfig.Company %></a> <a href="http://www.miitbeian.gov.cn/"
                                target="_blank"><%=siteConfig.Crod %></a>
                    </p>
                </div>
            </div>
            <br />
        </div>
    </div>
    <script type="text/jscript" src="js/common.js"></script>
</body>
</html>

