﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Purchasing/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="Add.aspx.cs" Inherits="King_LEPS.Web.Purchasing.TenderManager.Add" %>

<asp:Content ID="Content1" ContentPlaceHolderID="CphContent" runat="server">
    <script src="../../Scripts/My97DatePicker/WdatePicker.js" type="text/javascript"></script>
    <script src="../../Scripts/jquery/plugins/Validform_v5.3.2_min.js" type="text/javascript"></script>
    <script src="../../Scripts/citySet.js"></script>
    <script src="../../Scripts/Popt.js"></script>
    <script type="text/javascript">
        $(function () {
            $("#form1").initValidform();
            $("#dlNodeID1").hide();
            $("#<%=txtCategory.ClientID %>").click(function () {
                $.ligerDialog.open({
                    url: '../../Share/SelectCategory.aspx', title: '采购类别', height: 540, width: 620, data: { namec: "#<%=txtCategory.ClientID %>", idc: "#<%=hfCategoryID.ClientID %>", id: $("#<%=hfCategoryID.ClientID %>").val(), name: $("#<%=txtCategory.ClientID %>").val() }
                });
            });
            $("#<%=ddlAttentions.ClientID %>").change(function () {
                var strID = $(this).val();
                if (strID == "") {
                    $("#<%=txtAttentions.ClientID %>").val("");
                    return;
                }
                var strData = "{\"intID\":\"" + strID + "\"}";
                $.ajaxWebService("../../Share/WebService.asmx/GetAttentions", strData, function (data) { $("#<%=txtAttentions.ClientID %>").val(data.d); });
            });

            $("#<%=rblNodeID.ClientID %>").click(function () {
                var intNodeID = $("#<%=rblNodeID.ClientID %>").find("input:checked").val();
                if (intNodeID == 2)
                    $("#dlNodeID1").show();
                else
                    $("#dlNodeID1").hide();
            });
            $("#<%=txtRegionName.ClientID %>").click(function (e) {
                SelCity(this, $("#<%=txtRegion.ClientID %>"), e);
            });
        });
    </script>
    <div class="navigation">
        <b>您当前的位置：招标项目 &gt; 招标项目发布 &gt; 招标类型</b>
    </div>
    <div class="content-tab-wrap">
        <div id="floatHead" class="content-tab">
            <div class="content-tab-ul-wrap">
                <ul>
                    <li><a class="selected" href="javascript:;">招标类型</a></li>
                    <li><a href="javascript:;">商务响应项</a></li>
                    <li><a href="javascript:;">标的需求</a></li>
                    <li><a href="javascript:;">投标单位</a></li>
                    <li><a href="javascript:;">招标时间设置</a></li>
                    <li><a href="javascript:;">项目组成员</a></li>
                    <li><a href="javascript:;">投标须知</a></li>
                    <li><a href="javascript:;">标书文件</a></li>
                    <li><a href="javascript:;">投标文件定义</a></li>
                </ul>
            </div>
        </div>
    </div>
    <div class="tab-content">
        <dl>
            <dt><em>*</em>采购类别</dt>
            <dd>
                <asp:TextBox ID="txtCategory" runat="server" Columns="50" MaxLength="50" CssClass="inputtext"
                    datatype="*" sucmsg=" "></asp:TextBox>
            </dd>
            <asp:HiddenField ID="hfCategoryID" runat="server" />
        </dl>
        <dl>
            <dt><em>*</em>采购组织</dt>
            <dd>
                <%=King_LEPS.Web.UserInfo.Get_GroupName %>
            </dd>
        </dl>
        <dl>
            <dt><em>*</em>项目编号</dt>
            <dd>
                <asp:TextBox ID="txtSerialNum" runat="server" Columns="50" CssClass="inputtext" MaxLength="20"
                    datatype="*" sucmsg=" "></asp:TextBox>
            </dd>
        </dl>
        <dl>
            <dt><em>*</em>项目名称</dt>
            <dd>
                <asp:TextBox ID="txtName" runat="server" Columns="50" CssClass="inputtext" MaxLength="50"
                    datatype="*" sucmsg=" "></asp:TextBox>
            </dd>
        </dl>
        <dl>
            <dt><em>*</em>所在地区</dt>
            <dd>
                <asp:TextBox ID="txtRegionName" runat="server" Columns="50" CssClass="inputtext" MaxLength="50"
                    datatype="*" sucmsg=" " errormsg="请选择到区县"></asp:TextBox>
                <div class="hide">
                    <asp:TextBox ID="txtRegion" runat="server" Columns="50" CssClass="inputtext" MaxLength="50"
                        datatype="*" sucmsg=" " nullmsg="请选择到区县"></asp:TextBox>
                </div>
            </dd>
        </dl>
        <dl>
            <dt><em>*</em>执行策略</dt>
            <dd>
                <div class="rule-multi-radio">
                    <asp:RadioButtonList ID="rblStrategyID" runat="server" RepeatDirection="Horizontal"
                        RepeatLayout="Flow">
                    </asp:RadioButtonList>
                </div>
            </dd>
        </dl>
        <dl>
            <dt><em>*</em>项目类型</dt>
            <dd>
                <div class="rule-multi-radio">
                    <asp:RadioButtonList ID="rblNodeID" runat="server" RepeatDirection="Horizontal" RepeatLayout="Flow">
                    </asp:RadioButtonList>
                </div>
            </dd>
        </dl>
        <dl id="dlNodeID1">
            <dt>定向公开范围</dt>
            <dd>
                <div class="rule-multi-radio">
                    <asp:RadioButtonList ID="rblNodeID1" runat="server" RepeatDirection="Horizontal"
                        RepeatLayout="Flow">
                    </asp:RadioButtonList>
                </div>
            </dd>
        </dl>
        <dl>
            <dt><em>*</em>决标方式</dt>
            <dd>
                <div class="rule-multi-radio">
                    <asp:RadioButtonList ID="rblDecisionID" runat="server" RepeatDirection="Horizontal"
                        RepeatLayout="Flow">
                    </asp:RadioButtonList>
                </div>
            </dd>
        </dl>
        <dl>
            <dt>币种</dt>
            <dd>
                <div class="rule-single-select">
                    <asp:DropDownList ID="ddlCurrency" runat="server" datatype="*" sucmsg=" ">
                    </asp:DropDownList>
                </div>
            </dd>
        </dl>
        <dl>
            <dt><em>*</em>最小投标单位数</dt>
            <dd>
                <asp:TextBox ID="txtMinimum" runat="server" Columns="20" MaxLength="20" CssClass="inputtext"
                    datatype="n" sucmsg=" ">3</asp:TextBox>
            </dd>
        </dl>
        <dl>
            <dt>开标时是否显示供方数量</dt>
            <dd>
                <div class="rule-multi-radio">
                    <asp:RadioButtonList ID="rblSupplierNum" runat="server" RepeatDirection="Horizontal"
                        RepeatLayout="Flow">
                        <asp:ListItem Value="0" Selected="True">不可见</asp:ListItem>
                        <asp:ListItem Value="1">可见</asp:ListItem>
                    </asp:RadioButtonList>
                </div>
            </dd>
        </dl>
        <dl>
            <dt>是否发布项目公告</dt>
            <dd>
                <div class="rule-multi-radio">
                    <asp:RadioButtonList ID="rblIsShow" runat="server" RepeatDirection="Horizontal" RepeatLayout="Flow">
                        <asp:ListItem Value="0" Selected="True">是</asp:ListItem>
                        <asp:ListItem Value="1">否</asp:ListItem>
                    </asp:RadioButtonList>
                </div>
            </dd>
        </dl>
        <dl>
            <dt>标资格要求</dt>
            <dd>
                <div class="rule-single-select">
                    <asp:DropDownList ID="ddlAttentions" runat="server">
                    </asp:DropDownList>
                </div>
            </dd>
        </dl>
        <dl>
            <dt></dt>
            <dd>
                <asp:TextBox ID="txtAttentions" runat="server" CssClass="inputtext" TextMode="MultiLine"
                    datatype="*0-1000" sucmsg=" " Style="width: 500px; height: 200px;"></asp:TextBox>
            </dd>
        </dl>
    </div>
    <div class="page-footer">
        <div class="btn-list">
            <asp:Button ID="btnSubmit" runat="server" Text="下一步" CssClass="btn" OnClick="btnSubmit_Click" />
        </div>
        <div class="clear">
        </div>
    </div>
</asp:Content>
