﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Purchasing/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="EditMembers.aspx.cs" Inherits="King_LEPS.Web.Purchasing.TenderManager.EditMembers" %>

<asp:Content ID="Content1" ContentPlaceHolderID="CphContent" runat="server">
    <script src="../../Scripts/jquery/plugins/Validform_v5.3.2_min.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $("#form1").Validform({
                tiptype: 3
            });
            $("#toolAdd").click(function () {
                $("#editbox").show();
            });
            $("#btnClose").click(function () {
                $("#editbox").hide();
                $("#<%=hfShow.ClientID %>").val("");
            });
            if ($("#<%=hfShow.ClientID %>").val() != "")
                $("#editbox").show();
        });
    </script>
    <asp:HiddenField ID="hfID" runat="server" /><asp:HiddenField ID="hfShow" runat="server" />
    <div class="tools_box">
            <div class="tools_bar">
                <a href="javascript:void(0);" id="toolAdd" class="tools_btn"><span><b class="search">
                    选择</b></span></a>
                <asp:LinkButton ID="btnAdd" runat="server" CssClass="tools_btn" OnClick="btnAdd_Click"><span><b class="add">添加</b></span></asp:LinkButton>
                <asp:LinkButton ID="btnDel" runat="server" CssClass="tools_btn" OnClick="btnDel_Click"><span><b class="delete">删除</b></span></asp:LinkButton><a
                    href="EditMembers.aspx?ID=<%=hfID.Value %>" class="tools_btn"><span><b class="refresh">刷新</b></span></a>
            </div>
        </div>
    <table class="border">
            <tr align="center" class="gridtitle">
                <th scope="col" class="sel">
                    <input type="checkbox" onclick="checkAll_C(this);" />
                </th>
                <th scope="col">
                    姓名
                </th>
                <th scope="col">
                    手机
                </th>
                <th scope="col">
                    电话
                </th>
                <th scope="col">
                    邮件
                </th>
                <th scope="col" class="hide">
                </th>
            </tr>
            <asp:Repeater ID="rptList" runat="server">
                <ItemTemplate>
                    <tr align="center" class="tdbg">
                        <td>
                            <asp:CheckBox ID="chkItem" runat="server" CssClass="checkall" />
                        </td>
                        <td>
                            <asp:TextBox ID="txtName" runat="server" Columns="30" MaxLength="50" CssClass="inputtext"
                                datatype="*" sucmsg=" " Text='<%#Eval("Name")%>'></asp:TextBox>
                        </td>
                        <td>
                            <asp:TextBox ID="txtMobilephone" runat="server" Columns="20" MaxLength="50" CssClass="inputtext"
                                Text='<%#Eval("Mobilephone")%>'></asp:TextBox>
                        </td>
                        <td>
                            <asp:TextBox ID="txtTelephone" runat="server" Columns="20" MaxLength="50" CssClass="inputtext"
                                Text='<%#Eval("Telephone")%>'> </asp:TextBox>
                        </td>
                        <td>
                            <asp:TextBox ID="txtEmail" runat="server" Columns="20" MaxLength="50" CssClass="inputtext"
                                Text='<%#Eval("Email")%>'></asp:TextBox>
                        </td>
                        <td class="hide">
                            <asp:TextBox ID="txtUserID" runat="server" Columns="20" MaxLength="50" CssClass="inputtext"
                                Text='<%#Eval("UserID")%>'></asp:TextBox>
                        </td>
                    </tr>
                </ItemTemplate>
            </asp:Repeater>
        </table>
    <div class="page-footer">
        <div class="btn-list">
            <asp:Button ID="btnSubmit" runat="server" Text=" 保存 " CssClass="btn" OnClick="btnSubmit_Click"
                OnClientClick="return CheckAll();" />
        </div>
        <div class="clear">
        </div>
    </div>
    <div class="edit_box" id="editbox" style="width:880px; left: 0px; margin: 0px; top: 5px;">
        <asp:Repeater ID="rptListS" runat="server">
            <HeaderTemplate>
                <table class="border">
                    <tr class="gridtitle" align="center">
                        <th scope="col" class="w1 last">
                            操作
                        </th>
                        <th scope="col">
                            姓名
                        </th>
                        <th scope="col">
                            手机
                        </th>
                        <th scope="col">
                            电话
                        </th>
                        <th scope="col">
                            邮件
                        </th>
                    </tr>
            </HeaderTemplate>
            <ItemTemplate>
                <tr class="tdbg" align="center">
                    <td class="w1">
                        <asp:LinkButton OnCommand="btnSelect_Click" CommandName="<%#Container.ItemIndex %>"
                            ID="btnSelect" runat="server" ToolTip="选择" CommandArgument='<%# Eval("ID")%>'>选择</asp:LinkButton>
                    </td>
                    <td>
                        <asp:Label ID="lblName" Text='<%# Eval("TrueName")%>' runat="server"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblMobilephone" Text='<%# Eval("Mobilephone")%>' runat="server"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblTelephone" Text='<%# Eval("Telephone")%>' runat="server"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblEmail" Text='<%# Eval("Email")%>' runat="server"></asp:Label>
                    </td>
                </tr>
            </ItemTemplate>
            <FooterTemplate>
                </table>
            </FooterTemplate>
        </asp:Repeater>
        <div style="text-align: center;">
            <input id="btnClose" type="button" value="关闭" class="btn yellow" /></div>
    </div>
</asp:Content>
