﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Purchasing/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="Evaluate.aspx.cs" Inherits="King_LEPS.Web.Purchasing.TenderManager.Evaluate" %>

<asp:Content ID="Content1" ContentPlaceHolderID="CphContent" runat="server">
    <script type="text/javascript">
        $(function () {
            $("#<%=btnSubmit.ClientID %>").click(function () {
                if ($("#<%=txtOpenPassword.ClientID %>").val() == "") {
                    ShowError("请填写开标密码");
                    return false;
                }
                ConfirmBtn("<%=btnSubmit.ClientID %>", "确认要开标吗？");
                return false;
            });
            $("#<%=btnAward.ClientID %>").click(function () {
                ConfirmBtn("<%=btnAward.ClientID %>", "评估结束后，不能再与供应商进行协商，是否继续?");
                return false;
            });
            $("#<%=btnSummery.ClientID %>").click(function () {
                SummeryTab('<%=hfID.Value %>');
                return false;
            });
            $("#<%=btnAddProblem.ClientID %>").click(function () {
                if ($("#<%=txtAnswer.ClientID %>").val() == "") {
                    ShowError("请填写解答");
                    return false;
                }
            });
            $("#toolAdd").click(function () {
                ShowDialog(900, 620, "RespondAdd.aspx?ID=<%=hfID.Value %>", "发布澄清");
            });
            $("#btnCRe").click(function () {
                $("#problem").hide();
            });
            var varIndex = "<%=strIndex %>";
            if (varIndex != "") {
                var tabobj = $(".tab-content").eq(varIndex); //显示当前的选项
                var tabindex = varIndex; //显示当前选项索引
                if (!$(".content-tab ul li").eq(tabindex).children("a").hasClass("selected")) {
                    $(".content-tab ul li a").removeClass("selected");
                    $(".content-tab ul li").eq(tabindex).children("a").addClass("selected");
                    $(".tab-content").hide();
                    tabobj.show();
                }
            }
        });
        function GroupInfoTab(ID, Name) {
            OpenTab("GroupInfo" + ID, Name, "TenderManager/GroupInfo.aspx?ID=" + ID);
        }
        function BidInfoTab(ID, GroupID, QuoteID, Status) {
            if (Status == "0") {
                ShowError("未投标");
                return false;
            }
            OpenTab("BidInfo" + GroupID, "投标书", "TenderManager/BidInfo.aspx?SID=" + ID + "&GID=" + GroupID + "&OrderID=" + QuoteID);
        }
        function SummeryTab(ID) {
            OpenTab("Summery" + ID, "报价对比表", "TenderManager/Summery.aspx?ID=" + ID);
        }
        function ShowProblem(ID) {
            $("#<%=hfPID.ClientID %>").val(ID);
            $("#problem").show();
        }
        function ShowRespondGroup(SID, ID) {
            ShowDialog(900, 620, "RespondGroup.aspx?SID=" + SID + "&RID=" + ID, "澄清");
        }
    </script>
    <div class="navigation">
        <b>您当前的位置：招标项目 &gt; 招标现场 </b>
        <asp:HiddenField ID="hfID" runat="server" />
    </div>
    <table class="border3">
        <tr class="tdbg" align="center">
            <td class="t1" valign="top">
                <div class="content-tab-wrap">
                    <div id="floatHead" class="content-tab">
                        <div class="content-tab-ul-wrap">
                            <ul>
                                <li><a class="selected" href="javascript:;" onclick="tabs(this);">开标状态</a></li>
                                <li><a href="javascript:;" onclick="tabs(this);">澄清和回应</a></li>
                                <li><a href="javascript:;" onclick="tabs(this);">议题和讨论</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="tab-content">
                    <asp:Repeater ID="rptList" runat="server">
                        <HeaderTemplate>
                            <table class="border">
                                <tr class="gridtitle" align="center">
                                    <th scope="col" class="w1">序号</th>
                                    <th scope="col">投标商名称
                                    </th>
                                    <th scope="col">投标时间
                                    </th>
                                    <th scope="col">保证金
                                    </th>
                                    <th scope="col">投标状态
                                    </th>
                                    <th scope="col" class="last">操作
                                    </th>
                                </tr>
                        </HeaderTemplate>
                        <ItemTemplate>
                            <tr class="tdbg" align="center">
                                <td class="w1">
                                    <%#Container.ItemIndex+1%>
                                </td>
                                <td>
                                    <a href="javascript:void(0);" onclick="GroupInfoTab('<%# Eval("GroupID")%>','<%# Eval("Name")%>');return false;">
                                        <%# Eval("Name")%></a>
                                </td>
                                <td>
                                    <%# Eval("QuoteDate")%>
                                </td>
                                <td>
                                    <%# Eval("BidBond")%>
                                </td>
                                <td>
                                    <%# King_LEPS.Web.Common.GetTenStatus(Eval("Status"))%>
                                </td>
                                <td>
                                    <a href="javascript:void(0);" onclick="BidInfoTab('<%# Eval("SID")%>','<%# Eval("GroupID")%>','<%# Eval("QuoteID")%>','<%# Eval("Status")%>');return false;">查看投标书</a>
                                </td>
                            </tr>
                        </ItemTemplate>
                        <FooterTemplate>
                            </table>
                        </FooterTemplate>
                    </asp:Repeater>
                </div>
                <div class="tab-content" style="padding: 10px 5px;display: none">
                    <div class="tools_box" >
                        <div class="tools_bar" style="margin: 0;">
                            <a href="javascript:void(0);" id="toolAdd" class="tools_btn"><span><b class="add">发布澄清</b></span></a>
                        </div>
                    </div>
                    <table class="border">
                        <tr class="gridtitle" align="center">
                            <th scope="col" class="w1">澄清类型
                            </th>
                            <th scope="col">澄清要求说明
                            </th>
                            <th scope="col">发布时间
                            </th>
                            <th scope="col">回应截止时间
                            </th>
                            <th scope="col" class="last150">操作
                            </th>
                        </tr>
                        <asp:Repeater ID="rptRList" runat="server" OnItemDataBound="rptRList_ItemDataBound">
                            <ItemTemplate>
                                <tr class="tdbg" align="center">
                                    <td class="w1">
                                        <%#Eval("NodeID").ToString() == "1" ? "澄清" : "价格澄清"%>
                                    </td>
                                    <td>
                                        <%# Eval("Problem")%>
                                    </td>
                                    <td>
                                        <%# Eval("PInputTime")%>
                                    </td>
                                    <td>
                                        <%# Eval("Deadline")%><div class="hide">
                                            <asp:Label ID="lbStatus" runat="server" Text='<%# Eval("Status")%>'></asp:Label>
                                        </div>
                                    </td>
                                    <td>
                                        <a title="解答" href="javascript:void(0);" onclick="ShowRespondGroup('<%# Eval("SID") %>','<%# Eval("ID") %>');return false;">详情 </a>
                                        <asp:LinkButton ID="btnDel" runat="server" CommandName='<%# Eval("ID")%>' CommandArgument='<%# Eval("NodeID")%>'
                                            OnCommand="btnDel_Click" ToolTip="结束本轮次澄清">结束本轮次澄清</asp:LinkButton>
                                    </td>
                                </tr>
                            </ItemTemplate>
                        </asp:Repeater>
                    </table>
                </div>
                <div class="tab-content" style="display: none">
                    <asp:Repeater ID="rptPList" runat="server">
                        <HeaderTemplate>
                            <table class="border">
                                <tr class="gridtitle" align="center">
                                    <th scope="col" class="w1">供应商
                                    </th>
                                    <th scope="col">问题
                                    </th>
                                    <th scope="col">提问时间
                                    </th>
                                    <th scope="col">解答
                                    </th>
                                    <th scope="col">解答时间
                                    </th>
                                    <th scope="col" class="last">操作
                                    </th>
                                </tr>
                        </HeaderTemplate>
                        <ItemTemplate>
                            <tr class="tdbg" align="center">
                                <td class="w1">
                                    <%# Eval("Name")%>
                                </td>
                                <td>
                                    <%# Eval("Problem")%>
                                </td>
                                <td>
                                    <%# Eval("PInputTime")%>
                                </td>
                                <td>
                                    <%# Eval("Answer")%>
                                </td>
                                <td>
                                    <%# Eval("AInputTime")%>
                                </td>
                                <td>
                                    <a title="解答" href="javascript:void(0);" onclick="ShowProblem('<%# Eval("ID") %>');return false;">
                                        <%#Eval("AInputTime").ToString().Length == 0 ? "解答" : ""%>
                                    </a>
                                </td>
                            </tr>
                        </ItemTemplate>
                        <FooterTemplate>
                            </table>
                        </FooterTemplate>
                    </asp:Repeater>
                </div>
            </td>
            <td class="t4">
                <table class="border1">
                    <tr class="tdbg" align="center">
                        <td class="t3">项目编号
                        </td>
                        <td class="t1">
                            <asp:Literal ID="lSerialNum" runat="server"></asp:Literal>
                        </td>
                    </tr>
                    <tr class="tdbg" align="center">
                        <td class="t3">项目名称
                        </td>
                        <td class="t1">
                            <asp:Literal ID="lName" runat="server"></asp:Literal>
                        </td>
                    </tr>
                    <tr class="tdbg" align="center">
                        <td class="t3">售标时间
                        </td>
                        <td class="t1">
                            <asp:Literal ID="lReleaseTime" runat="server"></asp:Literal>
                        </td>
                    </tr>
                    <tr class="tdbg" align="center">
                        <td class="t3">投标截止时间
                        </td>
                        <td class="t1">
                            <asp:Literal ID="lBidDeadline" runat="server"></asp:Literal>
                        </td>
                    </tr>
                    <tr class="tdbg" align="center">
                        <td class="t3">预计开标时间
                        </td>
                        <td class="t1">
                            <asp:Literal ID="lOpeningTime" runat="server"></asp:Literal>
                        </td>
                    </tr>
                    <tr class="tdbg" align="center">
                        <td class="t3">实际开标时间
                        </td>
                        <td class="t1">
                            <asp:Literal ID="lActualOpeningTime" runat="server"></asp:Literal>
                        </td>
                    </tr>
                    <tr class="tdbg" align="center">
                        <td class="t3">当前状态
                        </td>
                        <td class="t1">
                            <asp:Literal ID="lStatus" runat="server"></asp:Literal>
                        </td>
                    </tr>
                    <tr class="tdbg" align="center">
                        <td class="t3">开标密码
                        </td>
                        <td class="t1">
                            <asp:TextBox ID="txtOpenPassword" runat="server" Columns="25" MaxLength="50" CssClass="inputtext"
                                TextMode="Password"></asp:TextBox>
                        </td>
                    </tr>
                    <tr class="tdbg" align="center">
                        <td class="t3"></td>
                        <td class="t1">
                            <asp:Button ID="btnSubmit" runat="server" Text="开标" CssClass="btn" OnClick="btnSubmit_Click" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <div class="page-footer">
        <div class="btn-list">
            <asp:Button ID="btnAward" runat="server" Text="评标结束" CssClass="btn" OnClick="btnAward_Click" />
            <asp:Button ID="btnSummery" runat="server" Text="开标一览表" CssClass="btn" />
        </div>
        <div class="clear">
        </div>
    </div>
    <div class="edit_box" id="problem">
        <table class="bedit">
            <tr align="center" class="gridtitle">
                <td class="spacingtitle" colspan="2">提问解答<asp:HiddenField ID="hfPID" runat="server" />
                </td>
            </tr>
            <tr class="tdbg">
                <td class="l1">
                    <strong>解答：</strong>
                </td>
                <td>
                    <asp:TextBox ID="txtAnswer" runat="server" CssClass="inputtext" MaxLength="500" TextMode="MultiLine"
                        Style="width: 98%;"></asp:TextBox>
                </td>
            </tr>
            <tr class="tdbgbottom">
                <td colspan="2">
                    <asp:Button ID="btnAddProblem" runat="server" Text="确定" CssClass="btn" OnClick="btnAddProblem_Click" />
                    <input id="btnCRe" type="button" value="关闭" class="btn yellow" />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
