﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Purchasing/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="GroupChange.aspx.cs" Inherits="King_LEPS.Web.Purchasing.TenderManager.GroupChange" %>

<asp:Content ID="Content1" ContentPlaceHolderID="CphContent" runat="server">
    <script src="../../Scripts/jquery/plugins/Validform_v5.3.2_min.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $("#form1").Validform({
                tiptype: 1,
                datatype: {
                    "empty": /^\s*$/,
                    "decimal2": /^-?\d+(\.\d{1,2})?$/
                }
            });
        });
    </script>
    <asp:HiddenField ID="hfID" runat="server" />
    <div class="divblue">
        <asp:Literal ID="LTitle" runat="server"> </asp:Literal>
    </div>
    <table class="border">
        <tr align="center" class="gridtitle">
            <th scope="col" class="w1">序号</th>
            <th scope="col">供应商名称
            </th>
            <th scope="col">标书费
            </th>
            <th scope="col">标书费备注
            </th>
            <th scope="col">保证金
            </th>
            <th scope="col">保证金备注
            </th>
            <th scope="col">提交退款
            </th>
            <th scope="col">退款
            </th>
            <th scope="col">下载标书
            </th>
            <th scope="col">投标
            </th>
        </tr>
        <asp:Repeater ID="rptList" runat="server" OnItemDataBound="rptList_ItemDataBound">
            <ItemTemplate>
                <tr align="center" class="tdbg">
                    <td class="w1">
                        <%#Container.ItemIndex+1%>
                    </td>
                    <td>
                        <%#Eval("Name")%>
                        <asp:HiddenField ID="hfID" runat="server" Value='<%#Eval("ID")%>' />
                    </td>
                    <td>
                        <asp:TextBox ID="txtBidPrice" runat="server" Columns="8" MaxLength="20" CssClass="inputtext"
                            Text='<%#Eval("BidPrice")%>' datatype="decimal2" sucmsg=" "></asp:TextBox>
                    </td>
                    <td>
                        <asp:TextBox ID="txtBidPriceRemarks" runat="server" Columns="8" MaxLength="100"
                            CssClass="inputtext" Text='<%#Eval("BidPriceRemarks")%>'> </asp:TextBox>
                    </td>
                    <td>
                        <asp:TextBox ID="txtBidBond" runat="server" Columns="8" MaxLength="8" CssClass="inputtext"
                            Text='<%#Eval("BidBond")%>' datatype="decimal2" sucmsg=" "> </asp:TextBox>
                    </td>
                    <td>
                        <asp:TextBox ID="txtBidBondRemarks" runat="server" Columns="8" MaxLength="100" CssClass="inputtext"
                            Text='<%#Eval("BidBondRemarks")%>'> </asp:TextBox>
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlSubmitRefund" runat="server" CssClass="select">
                            <asp:ListItem Value="0">未提交</asp:ListItem>
                            <asp:ListItem Value="1">已提交</asp:ListItem>
                        </asp:DropDownList>
                        <asp:HiddenField ID="hfSubmitRefund" runat="server" Value='<%#Eval("SubmitRefund")%>' />
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlRefund" runat="server" CssClass="select">
                            <asp:ListItem Value="0">未退</asp:ListItem>
                            <asp:ListItem Value="1">已退</asp:ListItem>
                        </asp:DropDownList>
                        <asp:HiddenField ID="hfRefund" runat="server" Value='<%#Eval("Refund")%>' />
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlDownload" runat="server" CssClass="select">
                            <asp:ListItem Value="0">不允许</asp:ListItem>
                            <asp:ListItem Value="1">允许</asp:ListItem>
                        </asp:DropDownList>
                        <asp:HiddenField ID="hfDownload" runat="server" Value='<%#Eval("Download")%>' />
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlBid" runat="server" CssClass="select">
                            <asp:ListItem Value="0">不允许</asp:ListItem>
                            <asp:ListItem Value="1">允许</asp:ListItem>
                        </asp:DropDownList>
                        <asp:HiddenField ID="hfBid" runat="server" Value='<%#Eval("Bid")%>' />
                    </td>
                </tr>
            </ItemTemplate>
        </asp:Repeater>
    </table>
    <div class="page-footer">
        <div class="btn-list">
            <asp:Button ID="btnSubmit" runat="server" Text="确定" CssClass="btn" OnClick="btnSubmit_Click"
                OnClientClick="return CheckAll();" />
        </div>
        <div class="clear">
        </div>
    </div>
</asp:Content>
