﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Purchasing/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="Manager.aspx.cs" Inherits="King_LEPS.Web.Purchasing.TenderManager.Manager" %>

<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>
<asp:Content ID="Content1" ContentPlaceHolderID="CphContent" runat="server">
    <script src="../../Scripts/My97DatePicker/WdatePicker.js" type="text/javascript"></script>
    <script type="text/javascript">
        function InfoTab(ID, Name) {
            OpenTab("info" + ID, Name, "TenderManager/Info.aspx?ID=" + ID);
            return false;
        }
        function UpdateTab(ID) {
            OpenTab("TenderManagerEdit" + ID, "招标项目", "TenderManager/Update1.aspx?ID=" + ID);
            return false;
        }
        function InvitesTab(ID) {
            OpenTab("Invites" + ID, "招标项目", "TenderManager/Invites.aspx?ID=" + ID);
            return false;
        }
        function AwardTab(ID) {
            OpenTab("Awarding" + ID, "开标现场", "TenderManager/Evaluate.aspx?ID=" + ID);
            return false;
        }
        function AwardingTab(ID) {
            OpenTab("AwardingT" + ID, "授标", "TenderManager/Awarding.aspx?ID=" + ID);
            return false;
        }
        function FlowTab(ID) {
            OpenTab("审批流程" + ID, "审批流程", "TenderManager/FlowLog.aspx?ID=" + ID);
            return false;
        }
        function ShowTime(ID) {
            ShowDialog(750, 520, "ChangeTime.aspx?ID=" + ID, "时间调整");
        }
        function GroupChange(ID) {
            ShowDialog(900, 520, "GroupChange.aspx?ID=" + ID, "投标权限调整");
        }
        function SendSMS(ID) {
            ShowDialog(850, 550, "SendSMS.aspx?ID=" + ID, "发短信");
        }
    </script>
    <div class="navigation">
        <b>您当前的位置：招标项目 &gt;
            <%=strTitle%>
        </b>
    </div>
    <div class="tools_box">
        <div class="tools_bar">
            <a href="Manager.aspx" class="tools_btn"><span><b class="refresh">刷新</b></span></a>
            <div class="search_box">
                编号：
                <asp:TextBox ID="txtSerialNum" runat="server" Columns="25" CssClass="inputtext" MaxLength="50"></asp:TextBox>
                项目名称：
                <asp:TextBox ID="txtName" runat="server" Columns="25" CssClass="inputtext" MaxLength="50"></asp:TextBox>
                创建日期：
                <asp:TextBox ID="txtDtBegin" runat="server" AutoCompleteType="Disabled" Columns="15"
                    CssClass="Wdate inputtext" MaxLength="20" onfocus="WdatePicker({readOnly:true,dateFmt:'yyyy-MM-dd'})"></asp:TextBox>
                到
                <asp:TextBox ID="txtDtEnd" runat="server" AutoCompleteType="Disabled" Columns="15"
                    CssClass="Wdate inputtext" MaxLength="20" onfocus="WdatePicker({readOnly:true,dateFmt:'yyyy-MM-dd'})"></asp:TextBox>
                <asp:Button ID="btnSearch" runat="server" CssClass="btn-search" Text="" OnClick="btnSearch_Click" />
            </div>
        </div>
    </div>
    <asp:Repeater ID="rptList" runat="server" OnItemDataBound="rptList_ItemDataBound">
        <HeaderTemplate>
            <table class="border">
                <tr class="gridtitle" align="center">
                    <th scope="col" class="w1">
                        项目编号
                    </th>
                    <th scope="col">
                        项目名称
                    </th>
                    <th scope="col">
                        项目类型
                    </th>
                    <th scope="col">
                        创建日期
                    </th>
                    <th scope="col">
                        状态
                    </th>
                    <th scope="col" class="last200">
                        操作
                    </th>
                </tr>
        </HeaderTemplate>
        <ItemTemplate>
            <tr>
                <td class="w1">
                    <a href="javascript:void(0);" onclick="InfoTab('<%# Eval("ID") %>','<%# Eval("Name") %>');return false;">
                        <%# Eval("SerialNum")%></a><div class="hide">
                            <asp:Label ID="lbStatus" runat="server" Text='<%# Eval("Status")%>'></asp:Label>
                            <asp:Label ID="lbReleaseTime" runat="server" Text='<%# Eval("ReleaseTime")%>'></asp:Label>
                            <asp:Label ID="lbBuyBidDeadline" runat="server" Text='<%# Eval("BuyBidDeadline")%>'></asp:Label>
                            <asp:Label ID="lbBidDeadline" runat="server" Text='<%# Eval("BidDeadline")%>'></asp:Label>
                            <asp:Label ID="lbOpeningTime" runat="server" Text='<%# Eval("OpeningTime")%>'></asp:Label>
                        </div>
                </td>
                <td>
                    <%# Eval("Name")%>
                </td>
                <td>
                    <%# King_LEPS.Web.Common.GetTenNode(Eval("NodeID"))%>
                </td>
                <td>
                    <%#  string.Format("{0:yyyy-MM-dd HH:mm}", Eval("CreateDate"))%>
                </td>
                <td>
                    <asp:Label ID="lbStatusName" runat="server"></asp:Label>
                </td>
                <td>
                    <asp:LinkButton ID="lbUpdate" runat="server" CommandName='<%# Eval("ID")%>' ToolTip="继续发布">继续发布</asp:LinkButton>
                    <asp:LinkButton ID="btnDel" runat="server" CommandName='<%# Eval("ID")%>' OnCommand="btnDel_Click"
                        ToolTip="删除">删除</asp:LinkButton>
                    <asp:LinkButton ID="lbQuote" runat="server" CommandName='<%# Eval("ID")%>' ToolTip="项目管理">项目管理</asp:LinkButton>
                    <asp:LinkButton ID="lbAward" runat="server" CommandName='<%# Eval("ID")%>' ToolTip="开标现场">开标现场</asp:LinkButton>
                    <asp:LinkButton ID="lbAwarding" runat="server" CommandName='<%# Eval("ID")%>' ToolTip="授标">授标</asp:LinkButton>
                    <asp:Panel ID="pMore" runat="server" CssClass="nav">
                        <ul>
                            <li><a href="#">更多操作</a>
                                <ul>
                                    <li><a href="javascript:void(0);" onclick="ShowTime('<%# Eval("ID") %>');return false;">
                                        时间调整</a></li>
                                    <li><a href="javascript:void(0);" onclick="GroupChange('<%# Eval("ID") %>');return false;">
                                        投标权限</a></li>
                                    <li><a href="javascript:void(0);" onclick="SendSMS('<%# Eval("ID") %>');return false;">
                                        发短信</a></li>
                                </ul>
                            </li>
                        </ul>
                    </asp:Panel>
                </td>
            </tr>
        </ItemTemplate>
        <FooterTemplate>
            </table>
        </FooterTemplate>
    </asp:Repeater>
    <div class="pager">
        <webdiyer:AspNetPager ID="Pg" runat="server" ShowCustomInfoSection="Left" PrevPageText="上一页"
            PageSize="10" NextPageText="下一页" LastPageText="尾页" HorizontalAlign="Left" FirstPageText="首页"
            CustomInfoHTML="%RecordCount%条数据 共%PageCount%页&nbsp;&nbsp;" CustomInfoClass="text"
            OnPageChanged="Pg_PageChanged" NumericButtonCount="5" Font-Strikeout="False"
            ShowPageIndexBox="Auto" CustomInfoTextAlign="Right" PageIndexBoxClass="ptext"
            PageIndexBoxType="TextBox" SubmitButtonClass="pbtn" CurrentPageButtonClass="cpb"
            SubmitButtonText="转到" AlwaysShow="True">
        </webdiyer:AspNetPager>
    </div>
</asp:Content>
