﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Purchasing/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="Update3.aspx.cs" Inherits="King_LEPS.Web.Purchasing.TenderManager.Update3" %>

<%@ Register Src="../../SWFUpload/UC_SWFUpload.ascx" TagName="UC_SWFUpload" TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="CphContent" runat="server">
    <script src="../../Scripts/jquery/plugins/Validform_v5.3.2_min.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $("#form1").Validform({
                tiptype: 3,
                datatype: {
                    "empty": /^\s*$/,
                    "decimal2": /^-?\d+(\.\d{1,2})?$/,
                    "decimal4": /^-?\d+(\.\d{1,4})?$/
                }
            });
            $("#toolAdd").click(function () {
                $("#editbox").show();
            });
            $("#btnReturn").click(function () {
                $("#editbox").hide();
                $("#<%=hfShow.ClientID %>").val("");
            });
            $("#btnClose").click(function () {
                $("#Importbox").hide();
            });
            $("#toolImport").click(function () {
                $("#Importbox").show();
            });
            if ($("#<%=hfShow.ClientID %>").val() != "")
                $("#editbox").show();
        });
        function CheckAll() {
            if ($(".checkall input").size() < 1) {
                $.ligerDialog.warn("对不起，请添加标的项！");
                return false;
            }
            __doPostBack('<%=btnSubmit.UniqueID %>', '');
            return true;
        }
    </script>
    <div class="navigation">
        <b>您当前的位置：招标项目 &gt; 招标项目发布 &gt; 标的需求</b><asp:HiddenField ID="hfID" runat="server" />
        <asp:HiddenField ID="hfShow" runat="server" />
        <asp:HiddenField ID="hfStep" runat="server" />
    </div>
    <div class="content-tab-wrap">
        <div id="floatHead" class="content-tab">
            <div class="content-tab-ul-wrap">
                <ul>
                    <li><a href="Update1.aspx?ID=<%=hfID.Value %>">招标类型</a></li>
                    <li><a href="Update2.aspx?ID=<%=hfID.Value %>">商务响应项</a></li>
                    <li><a href="javascript:;" class="selected">标的需求</a></li>
                    <asp:Literal ID="lLi" runat="server"></asp:Literal>
                </ul>
            </div>
        </div>
    </div>
    <div class="tab-content" style="padding:10px 5px;">
        <div class="tools_box">
            <div class="tools_bar" style="margin:0;">
                <a href="javascript:void(0);" id="toolAdd" class="tools_btn"><span><b class="add">添加</b></span></a><a
                    href="javascript:void(0);" id="toolImport" class="tools_btn"><span><b class="import">
                        导入</b></span></a>
                <asp:LinkButton ID="btnDel" runat="server" CssClass="tools_btn" OnClick="btnDel_Click"><span><b class="delete">删除</b></span></asp:LinkButton><a
                    href="Update3.aspx?ID=<%=hfID.Value %>" class="tools_btn"><span><b class="refresh">刷新</b></span></a>
            </div>
        </div>
        <asp:Repeater ID="rptList" runat="server">
            <HeaderTemplate>
                <table class="border">
                    <tr class="gridtitle" align="center">
                        <th scope="col" class="sel">
                            <input type="checkbox" onclick="checkAll_C(this);" />
                        </th>
                        <th scope="col">序号</th>
                        <th class="hide">
                        </th>
                        <th scope="col">
                            标的编码
                        </th>
                        <th scope="col">
                            标的名称
                        </th>
                        <th scope="col">
                            数量
                        </th>
                        <th scope="col">
                            计量单位
                        </th>
                        <th scope="col">
                            品牌
                        </th>
                        <th scope="col">
                            规格型号
                        </th>
                        <th scope="col">
                            交货地
                        </th>
                        <th scope="col">
                            标杆价
                        </th>
                        <th scope="col">
                            备注
                        </th>
                        <th scope="col" class="last">
                            操作
                        </th>
                    </tr>
            </HeaderTemplate>
            <ItemTemplate>
                <tr class="tdbg" align="center">
                    <td>
                        <asp:CheckBox ID="chkItem" runat="server" CssClass="checkall" />
                    </td>
                    <td>
                    <%#Container.ItemIndex+1%>
                    </td>
                    <td class="hide">
                        <asp:Label ID="lblID" Text='<%# Eval("ID")%>' runat="server"></asp:Label>
                    </td>
                    <td>
                        <%# Eval("ObjectCode")%>
                    </td>
                    <td>
                        <%# Eval("Object")%>
                    </td>
                    <td>
                        <%# Eval("Number")%>
                    </td>
                    <td>
                        <%# Eval("Unit")%>
                    </td>
                    <td>
                        <%# Eval("Brand")%>
                    </td>
                    <td>
                        <%# Eval("TS")%>
                    </td>
                    <td>
                        <%# Eval("Destination")%>
                    </td>
                    <td>
                        <%# Eval("BenchmarkPrice")%>
                    </td>
                    <td>
                        <%# Eval("Remarks")%>
                    </td>
                    <td>
                        <a title="修改" href="<%# "Update3_Edit.aspx?ID="+Eval("ID")+"&SID="+Eval("SID") %>">修改
                        </a>
                    </td>
                </tr>
            </ItemTemplate>
            <FooterTemplate>
                </table>
            </FooterTemplate>
        </asp:Repeater>
    </div>
    <table class="bedit">
        <tr align="center" class="gridtitle">
            <td class="spacingtitle" colspan="2">
                扩展填报信息（如需供应商回应以下信息，请务必勾选）
            </td>
        </tr>
        <tr class="tdbg">
            <td>
                <div class="rule-multi-porp">
                    <asp:CheckBoxList ID="cblItem" runat="server" RepeatDirection="Horizontal" RepeatLayout="Flow">
                        <asp:ListItem Value="0">材质</asp:ListItem>
                        <asp:ListItem Value="1">产地/厂家</asp:ListItem>
                        <asp:ListItem Value="2">品牌</asp:ListItem>
                        <asp:ListItem Value="3">运费单价</asp:ListItem>
                        <asp:ListItem Value="4">备注</asp:ListItem>
                        <asp:ListItem Value="5">承兑价格</asp:ListItem>
                    </asp:CheckBoxList>
                </div>
            </td>
        </tr>
    </table>
    <div class="edit_box" id="editbox">
        <table class="bedit">
            <tr align="center" class="gridtitle">
                <td class="spacingtitle" colspan="4">
                    添加标的
                </td>
            </tr>
            <tr class="tdbg">
                <td class="l1">
                    <strong>标的编码：</strong>
                </td>
                <td>
                    <asp:TextBox ID="txtObjectCode" runat="server" CssClass="inputtext" MaxLength="18"
                        Columns="30"></asp:TextBox>
                </td>
                <td class="l1">
                    <em>*</em><strong>标的名称：</strong>
                </td>
                <td>
                    <asp:TextBox ID="txtObject" runat="server" CssClass="inputtext" MaxLength="30" Columns="30"
                        datatype="*" sucmsg=" "></asp:TextBox>
                </td>
            </tr>
            <tr class="tdbg">
                <td class="l1">
                    <em>*</em><strong>数量：</strong>
                </td>
                <td>
                    <asp:TextBox ID="txtNumber" runat="server" Columns="30" CssClass="inputtext" datatype="decimal2"
                        sucmsg=" " MaxLength="10"></asp:TextBox>
                </td>
                <td class="l1">
                    <em>*</em><strong>计量单位：</strong>
                </td>
                <td>
                    <asp:TextBox ID="txtUnit" runat="server" Columns="30" MaxLength="8" CssClass="inputtext"
                        datatype="*" sucmsg=" "></asp:TextBox>
                </td>
            </tr>
            <tr class="tdbg">
                <td class="l1">
                    <strong>标杆价：</strong>
                </td>
                <td>
                    <asp:TextBox ID="txtBenchmarkPrice" runat="server" Columns="30" CssClass="inputtext"
                        MaxLength="18" datatype="empty|decimal4" sucmsg=" "></asp:TextBox>
                </td>
                <td class="l1">
                    <strong>规格型号：</strong>
                </td>
                <td>
                    <asp:TextBox ID="txtTS" runat="server" Columns="30" CssClass="inputtext" MaxLength="130"></asp:TextBox>
                </td>
            </tr>
            <tr class="tdbg">
                <td class="l1">
                    <strong>材质：</strong>
                </td>
                <td>
                    <asp:TextBox ID="txtMaterial" runat="server" Columns="30" CssClass="inputtext" MaxLength="30"></asp:TextBox>
                </td>
                <td class="l1">
                    <strong>产地／厂家：</strong>
                </td>
                <td>
                    <asp:TextBox ID="txtManufacturer" runat="server" Columns="30" CssClass="inputtext"
                        MaxLength="30"></asp:TextBox>
                </td>
            </tr>
            <tr class="tdbg">
                <td class="l1">
                    <strong>品牌：</strong>
                </td>
                <td>
                    <asp:TextBox ID="txtBrand" runat="server" Columns="30" CssClass="inputtext" MaxLength="30"></asp:TextBox>
                </td>
                <td class="l1">
                    <strong>运费单价：</strong>
                </td>
                <td>
                    <asp:TextBox ID="txtFreightPrice" runat="server" Columns="20" CssClass="inputtext"
                        MaxLength="30"></asp:TextBox>
                </td>
            </tr>
            <tr class="tdbg">
                <td class="l1">
                    <strong>交货地：</strong>
                </td>
                <td>
                    <asp:TextBox ID="txtDestination" runat="server" Columns="30" CssClass="inputtext"
                        MaxLength="30"></asp:TextBox>
                </td>
                <td class="l1"> <strong>备注：</strong>
                </td>
                <td> <asp:TextBox ID="txtRemarks" runat="server" Columns="30" CssClass="inputtext" MaxLength="100"></asp:TextBox>
                </td>
            </tr>
            
            <tr class="tdbgbottom">
                <td colspan="4">
                    <asp:Button ID="btnAdd" runat="server" Text="确定" CssClass="btn" OnClick="btnAdd_Click" />
                    <input id="btnReturn" type="button" value="关闭" class="btn yellow" />
                </td>
            </tr>
        </table>
    </div>
    <div class="page-footer">
        <div class="btn-list">
            <input id="Button1" type="button" value="上一步" class="btn yellow" onclick="location.href ='Update2.aspx?ID=<%=hfID.Value %>'" />
            <asp:Button ID="btnSubmit" runat="server" Text="下一步" CssClass="btn" OnClick="btnSubmit_Click"
                UseSubmitBehavior="False" OnClientClick="return CheckAll();" />
        </div>
        <div class="clear">
        </div>
    </div>
    <div class="edit_box" id="Importbox">
        <table class="bedit">
            <tr align="center" class="gridtitle">
                <td class="spacingtitle" colspan="2">
                    EXCEL导入信息
                </td>
            </tr>
            <tr class="tdbg">
                <td class="tdbgleft" style="width: 23%; text-align: right;">
                    <strong>Excel模板：</strong>
                </td>
                <td>
                    <a href="../../Temp/template.xls" target="_blank">Excel导入模板下载</a>
                </td>
            </tr>
            <tr class="tdbg">
                <td class="tdbgleft" style="width: 23%; text-align: right;">
                    <strong>选择Excel文件：</strong>
                </td>
                <td>
                    <uc1:UC_SWFUpload ID="UC_SWFUpload1" runat="server" />
                </td>
            </tr>
            <tr class="tdbgbottom">
                <td colspan="2">
                    <asp:Button ID="btnImport" runat="server" OnClick="btnImport_Click" Text="开始导入" 
                        CssClass="btn" UseSubmitBehavior="False" />
                    <input id="btnClose" type="button" value="关闭" class="btn yellow" />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
