﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Purchasing/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="GroupInfo.aspx.cs" Inherits="King_LEPS.Web.Purchasing.UserManager.GroupInfo" %>

<asp:Content ID="Content1" ContentPlaceHolderID="CphContent" runat="server">
    <div class="navigation">
        <b>您当前的位置：用户管理 &gt; 公司信息</b>
    </div>
    <div class="content-tab-wrap">
        <div id="floatHead" class="content-tab">
            <div class="content-tab-ul-wrap">
                <ul>
                    <li><a class="selected" href="javascript:;" onclick="tabs(this);">公司信息</a></li>
                </ul>
            </div>
        </div>
    </div>
    <div class="tab-content">
        <dl>
            <dt>公司名称</dt>
            <dd>
                <%=model.Name%>
            </dd>
        </dl>
        <dl>
            <dt>公司编码</dt>
            <dd>
                <%=model.SerialNum%>
            </dd>
        </dl>
        <dl>
            <dt>公司地址</dt>
            <dd>
                <%=model.Address%>
            </dd>
        </dl>
        <dl>
            <dt>法人代表</dt>
            <dd>
                <%=model.APerson%>
            </dd>
        </dl>
        <dl>
            <dt>注册资金</dt>
            <dd>
                <%=model.RegisteredCapital%>
            </dd>
        </dl>
        <dl>
            <dt>营业范围</dt>
            <dd>
                <%=model.Scope.Replace(System.Environment.NewLine, "<br />")%>
            </dd>
        </dl>
        <dl>
            <dt>企业简介</dt>
            <dd>
                <%=model.Intro.Replace(System.Environment.NewLine, "<br />")%>
            </dd>
        </dl>
        <dl>
            <dt>联系人</dt>
            <dd>
                <%=model.Contacts%>
            </dd>
        </dl>
        <dl>
            <dt>手机</dt>
            <dd>
                <%=model.Mobilephone%>
            </dd>
        </dl>
        <dl>
            <dt>电话</dt>
            <dd>
                <%=model.Telephone%>
            </dd>
        </dl>
        <dl>
            <dt>传真</dt>
            <dd>
                <%=model.Fax%>
            </dd>
        </dl>
        <dl>
            <dt>电子邮件</dt>
            <dd>
                <%=model.Email%>
            </dd>
        </dl>
    </div>
</asp:Content>
