﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SelectCategory.aspx.cs"
    Inherits="King_LEPS.Web.Share.SelectCategory" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>采购类别</title>
    <link href="../Themes/GrayTheme/MasterPage.css" rel="stylesheet" type="text/css" />
    <link href="../Scripts/ligerUI/skins/Aqua/css/ligerui-dialog.css" rel="stylesheet"
        type="text/css" />
    <script src="../Scripts/jquery/jquery-1.8.3.min.js" type="text/javascript"></script>
    <script src="../Scripts/ligerUI/js/ligerui.min.js" type="text/javascript"></script>
    <script src="../Scripts/plugins/listbox.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $("#ddlCategory1").change(function () {
                $("#ddlCategory2").empty();
                if ($(this).val() != "") {
                    var strData = "{'strParentID':'" + $(this).val() + "'}";
                    $.ajax({
                        type: "post",
                        url: "SelectCategory.aspx/GetProcurementCategory",
                        data: strData,
                        contentType: "application/json;charset=utf-8",
                        dataType: "json",
                        success: function (data) {
                            $("#ddlCategory2").empty();
                            if (data.d.length != 0) {
                                data = jQuery.parseJSON(data.d);
                                if (data.length > 0) {
                                    $.each(data, function (i, item) {
                                        var strItem = "<option value=\"" + item.ID + "\">" + item.Name + "</option>";
                                        $("#ddlCategory2").append(strItem);
                                    })
                                }
                                $(".rule-listbox-select").listboxSelect();
                            }
                        },
                        error: function (err) {
                            alert(err);
                        }
                    })
                }
                $(".rule-listbox-select").listboxSelect();
            });
            var dialog = frameElement.dialog; //调用页面的dialog对象(ligerui对象)
            var dialogData = dialog.get('data'); //获取data参数
            var strRegionID = dialogData.id;
            if (strRegionID.length == 6) {
                $("#ddlCategory1").val(strRegionID.substring(0, 3).toString());
                $(".rule-listbox-select").listboxSelect();
            }
            $("#btnOK").click(function () {
                if ($("#ddlCategory2").get(0).selectedIndex < 0) {
                    $.ligerDialog.error("请选择末级分类");
                }
                else {
                    parent.$(dialogData.namec).val($("#ddlCategory2").find("option:selected").text());
                    parent.$(dialogData.idc).val($("#ddlCategory2").val());
                    parent.$(dialogData.namec).focus();
                    dialog.close();
                }
            });
            $("#btnClose").click(function () {
                dialog.close();
            });
        }); 
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <ul class="categorylist">
        <li class="list">
            <div class="rule-listbox-select">
                <asp:DropDownList ID="ddlCategory1" runat="server">
                </asp:DropDownList>
            </div>
        </li>
        <li class="list">
            <div class="rule-listbox-select">
                <select id="ddlCategory2">
                </select>
            </div>
        </li>
    </ul>
    <div class="page-footer">
        <div class="btn-list">
            <input id="btnOK" type="button" value="确 定" class="btn" />
            <input id="btnClose" type="button" value="取 消" class="btn yellow" />
        </div>
        <div class="clear">
        </div>
    </div>
    </form>
</body>
</html>
