/**
 *	常用公共效果
 */
$(function(){
	/**
	 *	初始化页面左边菜单收缩展开效果
	 */
	$(".zbztb_lnav dt").click(function(){
		if($(this).siblings("dd").is(":hidden")){
			$(this).find("em.iconfont").html("&#xe61b;");
		}else{
	  		$(this).find("em.iconfont").html("&#xe60a;");
		}
		$(this).siblings("dd").slideToggle(200);
	});
	
	/**
	 *	初始化页面Tab页切换效果
	 */
	if($(".slideTxtBox") && $(".slideTxtBox").length > 0){
		$(".slideTxtBox").slide({trigger:"click"});
	}
	
	/**
	 *	初始化页面置顶按钮和在线客服效果
	 */
	$(window).scroll(function(){
		if($(window).scrollTop()>300){
			$(".zbztb_floatr li.retop").fadeIn();
		}
		else{
			$(".zbztb_floatr li.retop").fadeOut();
		}
	});
	$(".zbztb_floatr .service").hover(function(){
		$(this).find(".info").animate({right:50},400);
	},function(){
		$(this).find(".info").animate({right:-100},400);
	});
	
	$(".complain").hover(function(){
		$(this).find(".sidebox").animate({"width":"140px"},200).css({"background":"#fff"})	
	},function(){
		$(this).find(".sidebox").animate({"width":"48px"},200).css({"background":"#fff"})	
	});
        $(".zbztb_floatr .qrcode").hover(function(){
		$(this).find(".info").stop(true).animate({right:50},400);
	},function(){
		$(this).find(".info").stop(true).animate({right:-172},400);
	});
	$(".zbztb_floatr .retop").click(function(){
		$("html,body").animate({scrollTop:"0"},800);
	});
	
	/**
	 *	初始化页面下拉列表选择效果
	 */
	$(".zbztb_selbox .slidkey").live('click',function(){
		$(this).parent().find(".slidkey_hide").slideToggle(200);
		return false;
	});
	$(".slidkey_hide li").live('click',function(){
		var stxt=$(this).text();
		$(this).parent().slideUp(200);
		$(this).parent().parent().find("em").html(stxt);
		$(this).parent().siblings(".slidkey").css("color","#333");
	});
	$(document).bind("click",function(e){
		var target=$(e.target);
		if (target.closest(".slidkey_hide").length==0){
			$(".slidkey_hide").slideUp(200);
		}
	});
	
	/**
	 *	初始化页面点击表格内容展开与合并
	 */
	$(".zbztb_ysinfo i,.zbztb_itemlist i").click(function(){
		if($(this).parent().parent().next("tr").is(":hidden")){
			$(this).html("&#xe637;");
			$(this).parent().parent().next("tr").show();
			$(this).parent().parent("tr").addClass("cur");
		}else{
	  		$(this).html("&#xe636;");
			$(this).parent().parent().next("tr").hide();
			$(this).parent().parent("tr").removeClass("cur");
		}
	});
	
	/**
	 *	初始化查看标段（包）进度点击表格内容展开与合并
	 */
	$(".zbztb_itemlist .viewpro").click(function(){
		if($(this).parent().parent().next("tr").is(":hidden")){
			$(this).parent().parent().find("i").html("&#xe637;");
			$(this).parent().parent().next("tr").show();
			$(this).parent().parent("tr").addClass("cur");
		}else{
	  		$(this).parent().parent().find("i").html("&#xe636;");
			$(this).parent().parent().next("tr").hide();
			$(this).parent().parent("tr").removeClass("cur");
		}
	});
	
	/**
	 *	初始化页面分类收缩展开效果
	 */
	$(".zbztb_sortpop .item p").click(function(){
		if($(this).next(".slide").is(":hidden")){
			$(this).find("i.iconfont").html("&#xe605;");
		}else{
	  		$(this).find("i.iconfont").html("&#xe63a;");
		}
		$(this).next(".slide").slideToggle(200);
	});
	
	/**
	 *	初始化页面双Tab页切换效果
	 */
	if($(".outBox") && $(".outBox").length > 0){
		$(".inBox").slide({titCell:".inhd li",mainCell:".inbd",trigger:"click"});
		$(".outBox").slide({trigger:"click"});
	}
	
	/**
	 *	初始化首页效果
	 */	
	$(".rolehover li").hover(function(){
		$(this).find(".cover").hide();
		$(this).find("em").addClass("hover").html("立即开启招标");
	},function(){
		$(this).find(".cover").show();
		$(this).find("em").removeClass("hover").html($(this).find("em").attr("alt"));
	});
	
	/**
	 *	初始化资审模版页面展开与合并
	 */
	$(".zbztb_zstemp .add").click(function(){
		if($(this).parent().parent().parent().next(".slide").is(":hidden")){
			$(this).html("&#xe637;");
			$(this).parent().parent().parent().next(".slide").show();
		}else{
	  		$(this).html("&#xe636;");
			$(this).parent().parent().parent().next(".slide").hide();
		}
	});
	
	
	/**
	 *	判断流程页当右侧高度低于左侧，左侧高度赋值于右侧
	 */
	var process = $(".zbztb_process");
	var rcont = $(".zbztb_rcont");
	if(rcont.height() < process.height()) {
		rcont.css("height",process.height());
	}
	
	/**
	 *	初始化支付页银行列表展开与合并
	 */
	$(".zbztb_paycont .more").click(function(){
		if($(this).parent().find(".cont").hasClass("hide")){
			$(this).find('span').html('收起');
			$(this).find("i.iconfont").html("&#xe629;");
		}else{
			$(this).find('span').html('选择其它');
	  		$(this).find("i.iconfont").html("&#xe61b;");
		}
		$(this).parent().find(".cont").toggleClass("hide");
	});

	/**
	 *	判断流程页头部流程的宽度并居中
	 */
	$(".stepwin").css("margin-left", ($(".stepwin").parent().width() - $(".stepwin").width()) / 2);

	/**
	 *	初始化编制页面收缩展开效果
	 */
	$(".zbztb_buledit .hd i.iconfont").click(function(){
		if($(this).parent().parent().next(".slide").is(":hidden")){
			$(this).html("&#xe61b;");
		}else{
	  		$(this).html("&#xe629;");
		}
		$(this).parent().parent().next(".slide").slideToggle(200);
	});

	/**
	 *	初始化评论页面展开与合并
	 */
	$(".zbztb_review .zjcont h3").click(function(){
		if($(this).next(".slide").is(":hidden")){
			$(this).find("i.iconfont").html("&#xe637;");
		}else{
	  		$(this).find("i.iconfont").html("&#xe636;");
		}
		$(this).next(".slide").slideToggle(200);
	});

	$(".zbztb_review .addremark").click(function(){
		$(this).parent().parent().next("tr").show();	
		$(this).parents("tr").find("td").css("border-bottom","0px");
	});
	
	/**
	 *	首页商家LOGO滚动
	 */
	$(".zbztb_picScroll").slide({ mainCell:"ul",autoPlay:true,effect:"left", vis:5, scroll:1, autoPage:true, pnLoop:false});

	/**
	 *	商铺广告图片轮播
	 */
	$(".zbztb_brandbanner").slide({mainCell:".bd ul",autoPlay:true,effect:"left"});

	/**
	 *	商铺联系方式浮动效果
	 */
	window.onload = function(){
  		$(window).trigger("scroll")};
  		$(window).scroll(function(){
		if($(window).scrollTop() > 510) {
		  $(".zbztb_brandcontact").css({"position":"fixed","top":"0"});
		}else {
		  $(".zbztb_brandcontact").css({"position":"absolute","top":"20px"});
		}
  	});

});

/**
 *	中兵招投标项目页面初始化效果公共JS
 */
/**
 *	查询条件表单与按钮效果
 */
$(function(){
	/**
	 *	获得页面初始查询表单数据
	 */
	//文本框
	var initTextData = {};
	$(".zbztb_rtlist").find(":text").each(function(i){
		var key = i;
		var value = $.trim($(this).val());
		initTextData[key] = value;
	});
	//选择框
	var initSelData = {};
	$(".zbztb_rtlist").find(".slidkey em").each(function(i){
		var key = i;
		var value = $.trim($(this).text());
		initSelData[key] = value;
	});
	
	//页面初始化完成时，初始化按钮样式
	setBtnStyle(checkValue(initTextData, initSelData));
	
	/**
	 * 监听表单搜索条件变化带来的按钮变化效果
	 * @author	hanglong
	 */
	$(".zbztb_rtlist").find(":text").each(function(){
		//失去焦点事件
		$(this).blur(function(){
			setBtnStyle(checkValue(initTextData, initSelData));
		});
		//获得焦点事件
		$(this).focus(function(){
			setBtnStyle(checkValue(initTextData, initSelData));
		});
		//按下键盘释放事件
		$(this).keyup(function(){
			setBtnStyle(checkValue(initTextData, initSelData));
		});
	});
	/**
	 *	监听自定义的下拉列表
	 */
	$(".zbztb_rtlist").find(".slidkey_hide li").click(function(){
		setBtnStyle(checkValue(initTextData, initSelData));
	});
	
	/**
	 *	监听按钮事件
	 */
	$(".zbztb_rtlist").find(":button").click(function(){
		if($(this).val() == '清空'){
			$(".zbztb_rtlist").find(":text").val("");
			$(".zbztb_rtlist").find("input[type='hidden']").val("");
			$(".zbztb_rtlist").find(".slidkey em").each(function(){
				$(this).html($(this).parent().parent().find(".slidkey_hide li").eq(0).text());
			});
		}
		setBtnStyle(checkValue(initTextData, initSelData));
	});
	
	/**
	 *	监听按钮事件
	 */
	$(".zbztb_rtlist").find(":submit").click(function(){
		if($(this).val() == '清空'){
			$(".zbztb_rtlist").find(":text").val("");
			$(".zbztb_rtlist").find("input[type='hidden']").val("");
			$(".zbztb_rtlist").find(".slidkey em").each(function(){
				$(this).html($(this).parent().parent().find(".slidkey_hide li").eq(0).text());
			});
		}
		setBtnStyle(checkValue(initTextData, initSelData));
	});
});

/**
 *	设置按钮样式
 */
function setBtnStyle(flag){
	if(!flag){
		/**
		 *	普通按钮样式
		 */
		/*$(".zbztb_rtlist").find(":button").removeClass("zbztb_greebtn");
		$(".zbztb_rtlist").find(":button").addClass("zbztb_notbtn");*/
		$(".zbztb_rtlist").find(":button").attr("disabled", true);
		/**
		 *	提交按钮样式
		 */
		/*$(".zbztb_rtlist").find(":submit").removeClass("zbztb_greebtn");
		$(".zbztb_rtlist").find(":submit").addClass("zbztb_notbtn");*/
		$(".zbztb_rtlist").find(":submit").attr("disabled", true);
	}else{
		/**
		 *	普通按钮样式
		 */
		/*$(".zbztb_rtlist").find(":button").removeClass("zbztb_notbtn");
		$(".zbztb_rtlist").find(":button").addClass("zbztb_greebtn");*/
		$(".zbztb_rtlist").find(":button").attr("disabled", false);
		/**
		 *	提交按钮样式
		 */
		/*$(".zbztb_rtlist").find(":submit").removeClass("zbztb_notbtn");
		$(".zbztb_rtlist").find(":submit").addClass("zbztb_greebtn");*/
		$(".zbztb_rtlist").find(":submit").attr("disabled", false);
	}
	
	/**
	 *	清空按钮样式处理
	 */
	var clear = $(".zbztb_rtlist").find(":button[value='清空']");
	if(clear && clear.length > 0){
		if(checkNull()){
			/*clear.removeClass("zbztb_greebtn");
			clear.addClass("zbztb_notbtn");*/
			clear.attr("disabled", true);
		}else{
			/*clear.removeClass("zbztb_notbtn");
			clear.addClass("zbztb_greebtn");*/
			clear.attr("disabled", false);
		}
	}
}

/**
 *	验证查询表单的值是否改变
 *	return true-改变，false-没改变
 */
function checkValue(initTextData, initSelData){
	var flag = false;
	$(".zbztb_rtlist").find(":text").each(function(i){
		var key = i;
		if($.trim($(this).val()) != $.trim(initTextData[key])){
			flag = true;
			return true;
		}
	});
	
	if(!flag){
		$(".zbztb_rtlist").find(".slidkey em").each(function(i){
			var key = i;
			if($.trim($(this).text()) != $.trim(initSelData[key])){
				flag = true;
				return true;
			}
		});
	}
	
	return flag;
}

/**
 *	验证查询表单的值是否为空
 *	return true-空，false-不为空
 */
function checkNull(){
	var flag = true;
	$(".zbztb_rtlist").find(":text").each(function(){
		if($.trim($(this).val())){
			flag = false;
			return false;
		}
	});
	
	if(flag){
		$(".zbztb_rtlist").find(".slidkey_hide").each(function(){
			var selText = $.trim($(this).parent().find("em").text());
			var firstSel = $.trim($(this).find("li").eq(0).text());
			if(selText != firstSel){
				flag = false;
				return false;
			}
		});
	}
	
	return flag;
}


/**
 * 成功提示窗口
 * @param msg		提示信息
 * @param callBack	关闭回调【非必传项】
 * 
 * @author	hanglong
 */
function bdSuccess(msg, callBack){
	/**
	 *	获得窗口中的内容
	 */
	var content = '<div class="zbztb_popay"><p class="tips"><i class="iconfont c30c248 fs55">&#xe62d;</i>' + msg + '</p><p class="closebtn"><a href="javascript:;" class="zbztb_greybtn popclose">关闭</a></p></div>';
	
	getMessage(content, null, callBack);
}

/**
 * 失败提示窗口
 * @param msg		提示信息
 * @param callBack	关闭回调【非必传项】
 * 
 * @author	hanglong
 */
function bdError(msg, callBack){
	/**
	 *	获得窗口中的内容
	 */
	var content = '<div class="zbztb_popay"><p class="tips"><i class="iconfont cfe5f59">&#xe640;</i>' + msg + '</p><p class="closebtn"><a href="javascript:;" class="zbztb_greybtn popclose">关闭</a></p></div>';
	
	getMessage(content, null, callBack);
}

/**
 * 普通提示窗口
 * @param msg		提示信息
 * @param callBack	确定回调【非必传项】
 * 
 * @author	hanglong
 */
function bdAlert(msg, callBack){
	/**
	 *	获得窗口中的内容
	 */
	var content = '<div class="zbztb_popay"><p class="tips"><i class="iconfont cfe5f59">&#xe63d;</i>' + msg + '</p><p class="closebtn"><a href="javascript:;" class="zbztb_greybtn popclose">关闭</a></p></div>';
	
	getMessage(content, null, callBack);
}

/**
 * 询问提示窗口
 * @param msg		提示信息
 * @param oCallBack	确定回调【非必传项】
 * @param cCallBack	取消回调【非必传项】
 * 
 * @author	hanglong
 */
function bdConfirm(msg, oCallBack, cCallBack){
	
	/**
	 *	获得窗口中的内容
	 */
	var content = '<div class="zbztb_popay"><p class="tips"><i class="iconfont c999 fs55">&#xe641;</i>' + msg + '</p><p class="closebtn"><a class="zbztb_greebtn okbtn" href="javascript:;">确定</a><a href="javascript:;" class="zbztb_greybtn popclose ml20">取消</a></p></div>';
	
	getMessage(content, oCallBack, cCallBack);
}

/**
 * 获得消息窗口（该方法不对外提供调用，供内部js使用）
 * @param content	消息模版内容
 * @param oCallBack	确定回调
 * @param cCallBack	取消/关闭回调
 * 
 * @author	hanglong
 */
function getMessage(content, oCallBack, cCallBack){
	var width = 520;
	var height = 250;
	
	/**
	 *	先判断页面上是否存在弹出窗口，如果存在替换窗口中的内容，如果不存在创建一个新的窗口
	 */
	var popWin = $("#popWin");
	if(popWin && popWin.length > 0){
		//存在
		var _html = content;
		popWin.find(".popmc").html(_html);
		popWin.show();
	}else{
		//不存在
		var _html = '<div id="popWin">';
		
		_html += '<div class="coverbg"></div>';
		_html += '<div class="zbztb_pop">';
		_html += '<div class="bg"></div>';
		_html += '<div class="popmc">';
		_html += content;
		_html += '</div></div>';
		
		$("body").append(_html);
	}
	
	/**
	 *	确定按钮事件
	 */
	$(".okbtn").click(function(){
		$('#popWin').hide();
		
		//存在回调方法，则执行回调方法
		if(oCallBack){
			oCallBack();
		}
	});
	
	/**
	 *	取消/关闭按钮事件
	 */
	$(".popclose").click(function(){
		$('#popWin').hide();
		
		//存在回调方法，则执行回调方法
		if(cCallBack){
			cCallBack();
		}
	});
	
	/**
	 *	设置窗口大小和位置样式
	 */
	$(".zbztb_pop").css("width", parseInt(width) + "px");
	$(".zbztb_pop").css("height", parseInt(height) + "px");
	$(".zbztb_pop").css("margin-left", -(parseInt(width) + 20) / 2 + "px");
	$(".zbztb_pop").css("margin-top", -(parseInt(height) + 20) / 2 + "px");
	
	/**
	 *	设置窗口外框背景的高度
	 */
	$(".zbztb_pop .bg").css("height", (parseInt(height) + 20) + "px");
	
	/**
	 *	设置背景遮罩层的高度
	 */
	$('.coverbg').height($(document).height());
}


/**
 * 打开弹出窗口
 * @param width		窗口宽度【必传参数】
 * @param height	窗口高度【必传参数】
 * @param title		窗口标题【可传参数，该参数为空，则弹出窗口默认没有标题行】
 * @param url		窗口打开的html页面【可传参数，和msg参数二选其一传值即可，如果都传值了，msg参数值不会生效】
 * @param msg		窗口打开显示的消息内容【可传参数，和url参数二选其一传值即可，如果都传值了，msg参数值不会生效】
 *	
 * @author	hanglong
 */
function openDialog(width, height, title, url, msg){
	if(width && height){
		/**
		 *	获得窗口中的内容，存在url则需要加载html，如果不存在url，显示msg的内容
		 */
		var content = "";
		if($.trim(url)){
			content = '<iframe frameborder="0" src="' + url + '"></iframe>';
		}else{
			content = msg;
		}
		
		/**
		 *	判断标题是否存在
		 */
		if(title){
			title = '<div class="tit"><h2>' + title + '</h2><i class="iconfont zbztb_close">&#xe62c;</i></div>';
		}else{
			title = "";
		}
		
		/**
		 *	先判断页面上是否存在弹出窗口，如果存在替换窗口中的内容，如果不存在创建一个新的窗口
		 */
		var popWin = $("#popWin");
		if(popWin && popWin.length > 0){
			//存在
			var _html = title + content;
			popWin.find(".popmc").html(_html);
			popWin.show();
		}else{
			//不存在
			var _html = '<div id="popWin">';
			
			_html += '<div class="coverbg"></div>';
			_html += '<div class="zbztb_pop">';
			_html += '<div class="bg"></div>';
			_html += '<div class="popmc">';
			_html += title + content;
			_html += '</div></div>';
			
			$("body").append(_html);
		}
		
		/**
		 *	关闭事件
		 */
		$(".zbztb_close").click(function(){
			$('#popWin').fadeOut(500);
			
			//存在回调方法，则执行回调方法
			if(closeCall){
				closeCall();
			}
		});
		
		/**
		 *	设置窗口大小和位置样式
		 */
		$(".zbztb_pop").css("width", parseInt(width) + "px");
		$(".zbztb_pop").css("height", parseInt(height) + "px");
		$(".zbztb_pop").css("margin-left", -(parseInt(width) + 20) / 2 + "px");
		$(".zbztb_pop").css("margin-top", -(parseInt(height) + 20) / 2 + "px");
		
		
		/**
		 *	设置iframe窗口大小样式
		 */
		if($.trim(url)){
			$("iframe").css("border", '0');
			$("iframe").css("width", '100%');
			$("iframe").css("height", parseInt(height) - $(".tit").height());
		}
		
		/**
		 *	设置窗口外框背景的高度
		 */
		$(".zbztb_pop .bg").css("height", (parseInt(height) + 20) + "px");
		
		/**
		 *	设置背景遮罩层的高度
		 */
		$('.coverbg').height($(document).height());
	}
}

/**
 *	关闭页面上显示的弹出框
 */
function closeDialog(){
	//获得弹出框对象
	var dialog = $('#popWin');
	
	//判断页面上是否存在弹出框，并且这个弹出框处于显示状态，如果处于显示状态则将其隐藏
	if(dialog && dialog.is(":visible")){
		dialog.fadeOut(500);
	}
}

/**
 *	图片上传控件
 */
function setImagePreview(obj){
	var docObj=$(obj).get(0);
	var imgObjPreview=$(obj).parent('div').find(".preview").get(0);
	var delBtn=$(obj).parent('').next('dl').find(".fr a");

	if (docObj.files && docObj.files[0]) {
		//火狐下，直接设img属性
		imgObjPreview.style.display = 'block';
		imgObjPreview.style.width = '220px';
		imgObjPreview.style.height = '150px';
		
		//imgObjPreview.src = docObj.files[0].getAsDataURL();
		//火狐7以上版本不能用上面的getAsDataURL()方式获取，需要一下方式
		imgObjPreview.src = window.URL.createObjectURL(docObj.files[0]);
		} else {
		//IE下，使用滤镜
		docObj.select();
		var imgSrc = document.selection.createRange().text;
		var localImagId = document.getElementById("localImag");
		var imgObjPreview=$(obj).parent('div').find(".preview").get(0);

		//必须设置初始大小
		localImagId.style.width = "220px";
		localImagId.style.height = "150px";
		//图片异常的捕捉，防止用户修改后缀来伪造图片
		try {
			localImagId.style.filter = "progid:DXImageTransform.Microsoft.AlphaImageLoader(sizingMethod=scale)";
			localImagId.filters.item("DXImageTransform.Microsoft.AlphaImageLoader").src = imgSrc;
		} catch (e) {
			var extName = imgSrc.substring(imgSrc.lastIndexOf(".")+1,imgSrc.length);//截取后缀名

			if(extName!='zip' && extName!='rar')
				{
					alert("您上传的图片格式不正确，请重新选择!");
					return false;
				}

			}
		imgObjPreview.style.display = 'none';
		document.selection.empty();
	}
	return true;
}

 /**
 * 评价分控件
 * 鼠标点击，该元素包括该元素之前的元素获得样式,并给result赋值
 * 鼠标移入，样式随鼠标移动
 * 鼠标移出，样式移除但被鼠标点击的该元素和之前的元素样式不变
 * 每次触发事件，移除所有样式，并重新获得样式
 */
$(function(){
    var stars = $('.zbztb_stars');
    var Len = stars.length;

    //遍历每个评分的容器
    for(i=0;i<Len;i++){

        //每次触发事件，清除该项父容器下所有子元素的样式所有样式
        function clearAll(obj){
            obj.parent().children('i').removeClass('on');
        }
        stars.eq(i).find('i').click(function(){
            var num = $(this).index();
            clearAll($(this));
            //当前包括前面的元素都加上样式
            $(this).addClass('on').prevAll('i').addClass('on');
            //给隐藏域赋值
            $(this).siblings('.result').html('<em>'+(num+1)+'</em><span class="mr10">分</span>'+$(this).attr('title'));
        });
        stars.eq(i).find('i').hover(function(){
            var num = $(this).index();
            clearAll($(this));
            //当前包括前面的元素都加上样式
            $(this).addClass('on').prevAll('i').addClass('on');
        },function(){
			clearAll($(this));
			var score = $(this).siblings('.result').find('em').text();
            //触发点击事件后有值
            for(i=0;i<score;i++){
                $(this).parent().find('i').eq(i).addClass('on');
            }
        });
    }
})

