﻿var tab = null;
var accordion = null;
var tabItems = [];
$(function () {
    $("#layout1").ligerLayout({ leftWidth: 190, height: '100%', heightDiff: 0, space: -1, onHeightChanged: f_heightChanged });
    var height = $(".l-layout-center").height();
    $("#framecenter").ligerTab({
        height: height,
        showSwitchInTab: true,
        showSwitch: true,
        onAfterAddTabItem: function (tabdata) {
            tabItems.push(tabdata);
            saveTabStatus();
        },
        onAfterRemoveTabItem: function (tabid) {
            for (var i = 0; i < tabItems.length; i++) {
                var o = tabItems[i];
                if (o.tabid == tabid) {
                    tabItems.splice(i, 1);
                    saveTabStatus();
                    break;
                }
            }
        },
        onReload: function (tabdata) {
            var tabid = tabdata.tabid;
            addFrameSkinLink(tabid);
        }
    });
    $("#accordion1").ligerAccordion({ height: height - 40 });
    tab = liger.get("framecenter");
    accordion = liger.get("accordion1");
    $("#pageloading").hide();
    pages_init();
    //css_init();
});
function saveTabStatus() {
    $.cookie('liger-home-tab', JSON2.stringify(tabItems));
}
function f_heightChanged(options) {
    if (tab)
        tab.addHeight(options.diff);
    if (accordion && options.middleHeight - 40 > 0)
        accordion.setHeight(options.middleHeight - 40);
}
function f_addTab(tabid, text, url) {
    tab.addTabItem({
        tabid: tabid,
        text: text,
        url: url,
        callback: function () {
            addFrameSkinLink(tabid);
        }
    });
}
function f_removeTab(tabid) {
    tab.removeTabItem(tabid);
}
function pages_init() {
    var tabJson = $.cookie('liger-home-tab');
    if (tabJson) {
        var tabitems = JSON2.parse(tabJson);
        for (var i = 0; tabitems && tabitems[i]; i++) {
            f_addTab(tabitems[i].tabid, tabitems[i].text, tabitems[i].url);
        }
    }
}
function addFrameSkinLink(tabid) {
    var prevHref = getLinkPrevHref(tabid) || "";
    attachLinkToFrame(tabid, prevHref);
}
function attachLinkToFrame(iframeId) {
    if (!window.frames[iframeId]) return;
    var head = window.frames[iframeId].document.getElementsByTagName('head').item(0);
    var fileref = window.frames[iframeId].document.createElement("link");
    if (!fileref) return;
    head.appendChild(fileref);
}
function getLinkPrevHref(iframeId) {
    if (!window.frames[iframeId]) return;
    var head = window.frames[iframeId].document.getElementsByTagName('head').item(0);
    var links = $("link:first", head);
    for (var i = 0; links[i]; i++) {
        var href = $(links[i]).attr("href");
        if (href && href.toLowerCase().indexOf("ligerui") > 0) {
            return href.substring(0, href.toLowerCase().indexOf("lib"));
        }
    }
}