﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Purchasing/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="Manager.aspx.cs" Inherits="King_LEPS.Web.Purchasing.SuppliersManager.Manager" %>

<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>
<asp:Content ID="Content1" ContentPlaceHolderID="CphContent" runat="server">
    <script type="text/javascript">
        $(function () {
            $("#<%=txtCategory.ClientID %>").click(function () {
                $.ligerDialog.open({ url: '../../Share/SelectCategory.aspx', title: '采购类别', height: 540, width: 620, data: { namec: "#<%=txtCategory.ClientID %>", idc: "#<%=hfCategoryID.ClientID %>", id: $("#<%=hfCategoryID.ClientID %>").val(), name: $("#<%=txtCategory.ClientID %>").val() }
                });
            });
            $("#btnReC").click(function () {
                $("#<%=txtCategory.ClientID %>").val("");
                $("#<%=hfCategoryID.ClientID %>").val("");
            });
        });
        function GroupInfoTab(ID, Name) {
            OpenTab("GroupInfo" + ID, Name, "TenderManager/GroupInfo.aspx?ID=" + ID);
        }
    </script>
    <div class="navigation">
        <b>您当前的位置：供应商管理 &gt; 供应商列表 </b>
    </div>
    <div class="tools_box">
        <div class="tools_bar">
            <a href="Manager.aspx" class="tools_btn"><span><b class="refresh">刷新</b></span></a>
            <div class="search_box">
                采购类别
                <asp:TextBox ID="txtCategory" runat="server" Columns="20" MaxLength="50" CssClass="inputtext"></asp:TextBox><input
                    id="btnReC" type="button" value="-" class="inputbutton cborderleft" />
                <asp:HiddenField ID="hfCategoryID" runat="server" />
               经营范围:
                    <asp:TextBox ID="txtScope" runat="server" Columns="20" CssClass="inputtext" MaxLength="20"></asp:TextBox>
                供应商名称
                <asp:TextBox ID="txtWord" runat="server" Columns="20" CssClass="inputtext" MaxLength="50"></asp:TextBox><asp:Button
                    ID="btnSearch" runat="server" CssClass="btn-search" Text="" OnClick="btnSearch_Click" />
            </div>
        </div>
    </div>
    <asp:Repeater ID="rptList" runat="server" OnItemDataBound="rptList_ItemDataBound">
        <HeaderTemplate>
            <table class="border">
                <tr class="gridtitle" align="center">
                    <th scope="col" class="w1">
                        公司名称
                    </th>
                    <th scope="col">
                        联系人
                    </th>
                    <th scope="col">
                        手机
                    </th>
                    <th scope="col">
                        电话
                    </th>
                    <th scope="col">
                        传真
                    </th>
                    <th scope="col">
                        注册资金
                    </th>
                    <th scope="col">
                        注册时间
                    </th>
                    <th scope="col" class="last">
                        操作
                    </th>
                </tr>
        </HeaderTemplate>
        <ItemTemplate>
            <tr class="tdbg" align="center">
                <td class="w1">
                    <a href="javascript:void(0);" onclick="GroupInfoTab('<%# Eval("ID")%>',' <%# Eval("Name")%>');return false;">
                        <%# Eval("Name")%></a>
                </td>
                <td>
                    <%# Eval("Contacts")%>
                </td>
                <td>
                    <%# Eval("Mobilephone")%>
                </td>
                <td>
                    <%# Eval("Telephone")%>
                </td>
                <td>
                    <%# Eval("Fax")%>
                </td>
                <td>
                    <%# Eval("RegisteredCapital")%>
                </td>
                <td>
                    <%#  string.Format("{0:yyyy-MM-dd}", Eval("RegistrationDate"))%>
                </td>
                <td>
                    <asp:LinkButton ID="btnAdd" runat="server" CommandName='<%# Eval("ID")%>' OnCommand="btnAdd_Click"
                        ToolTip="加为我的供应商">加为我的供应商</asp:LinkButton>
                </td>
            </tr>
        </ItemTemplate>
        <FooterTemplate>
            </table>
        </FooterTemplate>
    </asp:Repeater>
    <div class="pager">
        <webdiyer:AspNetPager ID="Pg" runat="server" ShowCustomInfoSection="Left" PrevPageText="上一页"
            PageSize="20" NextPageText="下一页" LastPageText="尾页" HorizontalAlign="Left" FirstPageText="首页"
            CustomInfoHTML="%RecordCount%条数据 共%PageCount%页&nbsp;&nbsp;" CustomInfoClass="text"
            OnPageChanged="Pg_PageChanged" NumericButtonCount="5" Font-Strikeout="False"
            ShowPageIndexBox="Auto" CustomInfoTextAlign="Right" PageIndexBoxClass="ptext"
            PageIndexBoxType="TextBox" SubmitButtonClass="pbtn" CurrentPageButtonClass="cpb"
            SubmitButtonText="转到" AlwaysShow="True">
        </webdiyer:AspNetPager>
    </div>
</asp:Content>
