﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Purchasing/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="Update5.aspx.cs" Inherits="King_LEPS.Web.Purchasing.TenderManager.Update5" %>

<asp:Content ID="Content1" ContentPlaceHolderID="CphContent" runat="server">
    <script src="../../Scripts/My97DatePicker/WdatePicker.js" type="text/javascript"></script>
    <script src="../../Scripts/jquery/plugins/Validform_v5.3.2_min.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $("#form1").initValidform();
            $("#<%=txtOpenPassword1.ClientID %>").attr("recheck", "<%=txtOpenPassword.UniqueID %>");
        });
    </script>
    <div class="navigation">
        <b>您当前的位置：招标项目 &gt; 招标项目发布 &gt; 招标时间设置</b></div>
    <asp:HiddenField ID="hfID" runat="server" />
    <asp:HiddenField ID="hfStep" runat="server" />
    <div class="content-tab-wrap">
        <div id="floatHead" class="content-tab">
            <div class="content-tab-ul-wrap">
                <ul>
                    <li><a href="Update1.aspx?ID=<%=hfID.Value %>">招标类型</a></li>
                    <li><a href="Update2.aspx?ID=<%=hfID.Value %>">商务响应项</a></li>
                    <li><a href="Update3.aspx?ID=<%=hfID.Value %>">标的需求</a></li>
                    <li><a href="Update4.aspx?ID=<%=hfID.Value %>">投标单位</a></li>
                    <li><a href="javascript:;" class="selected">招标时间设置</a></li>
                    <asp:Literal ID="lLi" runat="server"></asp:Literal>
                </ul>
            </div>
        </div>
    </div>
    <div class="tab-content">
        <dl>
            <dt><em>*</em>正式发布时间</dt>
            <dd>
                <asp:TextBox ID="txtReleaseTime" runat="server" AutoCompleteType="Disabled" Columns="30"
                    CssClass="Wdate inputtext" MaxLength="20" onfocus="WdatePicker({readOnly:true,isShowClear:false,dateFmt:'yyyy-MM-dd HH:mm'})"
                    datatype="*" sucmsg=" "></asp:TextBox>
            </dd>
        </dl>
        <dl>
            <dt><em>*</em>购买标书截止时间</dt>
            <dd>
                <asp:TextBox ID="txtBuyBidDeadline" runat="server" AutoCompleteType="Disabled" Columns="30"
                    CssClass="Wdate inputtext" MaxLength="20" onfocus="WdatePicker({readOnly:true,isShowClear:false,dateFmt:'yyyy-MM-dd HH:mm'})"
                    datatype="*" sucmsg=" "></asp:TextBox>
            </dd>
        </dl>
        <dl>
            <dt><em>*</em>投标截止时间</dt>
            <dd>
                <asp:TextBox ID="txtBidDeadline" runat="server" AutoCompleteType="Disabled" Columns="30"
                    CssClass="Wdate inputtext" MaxLength="20" onfocus="WdatePicker({readOnly:true,isShowClear:false,dateFmt:'yyyy-MM-dd HH:mm'})"
                    datatype="*" sucmsg=" "></asp:TextBox>
            </dd>
        </dl>
        <dl>
            <dt><em>*</em>开标时间</dt>
            <dd>
                <asp:TextBox ID="txtOpeningTime" runat="server" AutoCompleteType="Disabled" Columns="30"
                    CssClass="Wdate inputtext" MaxLength="20" onfocus="WdatePicker({readOnly:true,isShowClear:false,dateFmt:'yyyy-MM-dd HH:mm'})"
                    datatype="*" sucmsg=" "></asp:TextBox>
            </dd>
        </dl>
        <dl>
            <dt><em>*</em>评标开始时间</dt>
            <dd>
                <asp:TextBox ID="txtEvaluationBeginTime" runat="server" AutoCompleteType="Disabled"
                    Columns="30" CssClass="Wdate inputtext" MaxLength="20" onfocus="WdatePicker({readOnly:true,isShowClear:false,dateFmt:'yyyy-MM-dd HH:mm'})"
                    datatype="*" sucmsg=" "></asp:TextBox>
            </dd>
        </dl>
        <dl>
            <dt><em>*</em>评标结束时间</dt>
            <dd>
                <asp:TextBox ID="txtEvaluationEndTime" runat="server" AutoCompleteType="Disabled"
                    Columns="30" CssClass="Wdate inputtext" MaxLength="20" onfocus="WdatePicker({readOnly:true,isShowClear:false,dateFmt:'yyyy-MM-dd HH:mm'})"
                    datatype="*" sucmsg=" "></asp:TextBox>
            </dd>
        </dl>
        <dl>
            <dt><em>*</em>标书售价</dt>
            <dd>
                <asp:TextBox ID="txtBidPrice" runat="server" Columns="30" MaxLength="50" CssClass="inputtext"
                    datatype="decimal2" sucmsg=" " errormsg="最多两位小数">0</asp:TextBox>
                元
            </dd>
        </dl>
        <dl>
            <dt><em>*</em>投标保证金</dt>
            <dd>
                <asp:TextBox ID="txtBidBond" runat="server" Columns="30" MaxLength="50" CssClass="inputtext"
                    datatype="decimal2" sucmsg=" " errormsg="最多两位小数">0</asp:TextBox>
                元
            </dd>
        </dl>
        <dl>
            <dt><em>*</em>开标密码</dt>
            <dd>
                <asp:TextBox ID="txtOpenPassword" runat="server" Columns="30" MaxLength="50" CssClass="inputtext"
                    datatype="*" sucmsg=" " TextMode="Password"></asp:TextBox>
            </dd>
        </dl>
        <dl>
            <dt><em>*</em>确认密码</dt>
            <dd>
                <asp:TextBox ID="txtOpenPassword1" runat="server" Columns="30" MaxLength="50" CssClass="inputtext"
                    datatype="*" sucmsg=" " nullmsg="请再输入一次密码" errormsg="两次输入的密码不一致" TextMode="Password"></asp:TextBox>
            </dd>
        </dl>
    </div>
    <div class="page-footer">
        <div class="btn-list">
            <input id="Button1" type="button" value="上一步" class="btn yellow" onclick="location.href ='Update4.aspx?ID=<%=hfID.Value %>'" />
            <asp:Button ID="btnSubmit" runat="server" Text="下一步" CssClass="btn" OnClick="btnSubmit_Click" />
        </div>
        <div class="clear">
        </div>
    </div>
</asp:Content>
