﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Purchasing/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="Update7.aspx.cs" Inherits="King_LEPS.Web.Purchasing.TenderManager.Update7" %>

<asp:Content ID="Content1" ContentPlaceHolderID="CphContent" runat="server">
    <script src="../../editor/kindeditor.js" type="text/javascript"></script>
    <script src="../../editor/lang/zh_CN.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            var editor = KindEditor.create('.editor', {
                width: '900px',
                height: '450px',
                resizeType: 1,
                items: null
            });
            $("#<%=ddlTitle.ClientID %>").change(function () {
                var strID = $(this).val();
                if (strID == "") {
                    editor.html("");
                    return;
                }
                var strData = "{\"intID\":\"" + strID + "\"}";
                $.ajaxWebService("../../Share/WebService.asmx/GetVotingInformation", strData, function (data) { editor.html(data.d); });
            });
            $("#<%=btnSubmit.ClientID %>").click(function () {
                editor.sync()
                $("#<%=txtContents.ClientID %>").val(encodeURIComponent($("#txtContentsH").val()));
            });
        });
    </script>
    <div class="navigation">
        <b>您当前的位置：招标项目 &gt; 招标项目发布 &gt; 投标须知</b></div>
    <asp:HiddenField ID="hfID" runat="server" />
    <asp:HiddenField ID="hfStep" runat="server" />
    <div class="content-tab-wrap">
        <div id="floatHead" class="content-tab">
            <div class="content-tab-ul-wrap">
                <ul>
                    <li><a href="Update1.aspx?ID=<%=hfID.Value %>">招标类型</a></li>
                    <li><a href="Update2.aspx?ID=<%=hfID.Value %>">商务响应项</a></li>
                    <li><a href="Update3.aspx?ID=<%=hfID.Value %>">标的需求</a></li>
                    <li><a href="Update4.aspx?ID=<%=hfID.Value %>">投标单位</a></li>
                    <li><a href="Update5.aspx?ID=<%=hfID.Value %>">招标时间设置</a></li>
                    <li><a href="Update6.aspx?ID=<%=hfID.Value %>">项目组成员</a></li>
                    <li><a href="javascript:;" class="selected">投标须知</a></li>
                    <asp:Literal ID="lLi" runat="server"></asp:Literal>
                </ul>
            </div>
        </div>
    </div>
    <div class="tab-content">
        <dl>
            <dt>标资格要求</dt>
            <dd>
                <div class="rule-single-select">
                    <asp:DropDownList ID="ddlTitle" runat="server">
                    </asp:DropDownList>
                </div>
            </dd>
        </dl>
        <dl>
            <dt></dt>
            <dd>
                <textarea id="txtContentsH" cols="20" rows="2" class="editor"><%=strContents%></textarea>
                <div style="display: none">
                    <asp:TextBox ID="txtContents" runat="server" TextMode="MultiLine"></asp:TextBox></div>
            </dd>
        </dl>
    </div>
    <div class="page-footer">
        <div class="btn-list">
            <input id="Button1" type="button" value="上一步" class="btn yellow" onclick="location.href ='Update6.aspx?ID=<%=hfID.Value %>'" />
            <asp:Button ID="btnSubmit" runat="server" Text="下一步" CssClass="btn" OnClick="btnSubmit_Click" />
        </div>
        <div class="clear">
        </div>
    </div>
</asp:Content>
