﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Purchasing/MasterPage.Master" AutoEventWireup="true"
    CodeBehind="Update8.aspx.cs" Inherits="King_LEPS.Web.Purchasing.TenderManager.Update8" %>

<%@ Register Src="../../SWFUpload/UC_SWFUpload.ascx" TagName="UC_SWFUpload" TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="CphContent" runat="server">
    <script type="text/javascript">
        $(function () {
            $("#toolAdd").click(function () {
                $("#editbox").show();
            });
            $("#btnReturn").click(function () {
                $("#editbox").hide();
                $("#<%=hfShow.ClientID %>").val("");
            });
            if ($("#<%=hfShow.ClientID %>").val() != "")
                $("#editbox").show();
            $("#<%=btnAdd.ClientID %>").click(function () {
                var strList=$("#<%=UploadAtt.FindControl("hidIdList").ClientID %>").val();
                if ( strList== ""||strList=="[]") {
                    ShowError("请上传附件");
                    return false;
                }
            });
        });
    </script>
    <div class="navigation">
        <b>您当前的位置：招标项目 &gt; 招标项目发布 &gt; 标书文件</b><asp:HiddenField ID="hfID" runat="server" />
        <asp:HiddenField ID="hfShow" runat="server" />
        <asp:HiddenField ID="hfStep" runat="server" />
    </div>
    <div class="content-tab-wrap">
        <div id="floatHead" class="content-tab">
            <div class="content-tab-ul-wrap">
                <ul>
                    <li><a href="Update1.aspx?ID=<%=hfID.Value %>">招标类型</a></li>
                    <li><a href="Update2.aspx?ID=<%=hfID.Value %>">商务响应项</a></li>
                    <li><a href="Update3.aspx?ID=<%=hfID.Value %>">标的需求</a></li>
                    <li><a href="Update4.aspx?ID=<%=hfID.Value %>">投标单位</a></li>
                    <li><a href="Update5.aspx?ID=<%=hfID.Value %>">招标时间设置</a></li>
                    <li><a href="Update6.aspx?ID=<%=hfID.Value %>">项目组成员</a></li>
                    <li><a href="Update7.aspx?ID=<%=hfID.Value %>">投标须知</a></li>
                    <li><a href="javascript:;" class="selected">标书文件</a></li>
                    <asp:Literal ID="lLi" runat="server"></asp:Literal>
                </ul>
            </div>
        </div>
    </div>
    <div class="tab-content" style="padding: 10px 5px;">
        <div class="tools_box">
            <div class="tools_bar" style="margin: 0;">
                <a href="javascript:void(0);" id="toolAdd" class="tools_btn"><span><b class="add">添加</b></span></a>
                <asp:LinkButton ID="btnDel" runat="server" CssClass="tools_btn" OnClick="btnDel_Click"><span><b class="delete">删除</b></span></asp:LinkButton><a
                    href="Update8.aspx?ID=<%=hfID.Value %>" class="tools_btn"><span><b class="refresh">刷新</b></span></a>
            </div>
        </div>
        <asp:Repeater ID="rptList" runat="server">
            <HeaderTemplate>
                <table class="border">
                    <tr class="gridtitle" align="center">
                        <th scope="col" class="sel">
                            <input type="checkbox" onclick="checkAll_C(this);" />
                        </th>
                        <th scope="col">类型
                        </th>
                        <th scope="col">标题
                        </th>
                        <th scope="col">内容
                        </th>
                        <th scope="col">文件
                        </th>
                    </tr>
            </HeaderTemplate>
            <ItemTemplate>
                <tr class="tdbg" align="center">
                    <td>
                        <asp:CheckBox ID="chkItem" runat="server" CssClass="checkall" />
                    </td>
                    <td>
                        <%# King_LEPS.Web.Common.GetUploadNode(Eval("NodeID"))%><div class="hide">
                            <asp:Label ID="lblID" Text='<%# Eval("ID")%>' runat="server"></asp:Label>
                        </div>
                    </td>
                    <td>
                        <%# Eval("Title")%>
                    </td>
                    <td>
                        <%# Eval("Contents")%>
                    </td>
                    <td>
                        <a href="../Tools/Tendownload.ashx?ID=<%# Eval("ID")%>" target="_blank">
                            <%# Eval("FileName")%></a>
                    </td>
                </tr>
            </ItemTemplate>
            <FooterTemplate>
                </table>
            </FooterTemplate>
        </asp:Repeater>
    </div>
    <div class="edit_box" id="editbox">
        <table class="bedit">
            <tr align="center" class="gridtitle">
                <td class="spacingtitle" colspan="2">添加标书
                </td>
            </tr>
            <tr class="tdbg">
                <td class="l1">
                    <strong>类型：</strong>
                </td>
                <td>
                    <div class="rule-single-select">
                        <asp:DropDownList ID="ddlNodeID" runat="server">
                        </asp:DropDownList>
                    </div>
                </td>
            </tr>
            <tr class="tdbg">
                <td class="l1">
                    <strong>标题：</strong>
                </td>
                <td>
                    <asp:TextBox ID="txtTitle" runat="server" Columns="30" CssClass="inputtext" MaxLength="50"></asp:TextBox>
                </td>
            </tr>
            <tr class="tdbg">
                <td class="l1">
                    <strong>内容：</strong>
                </td>
                <td>
                    <asp:TextBox ID="txtContents" runat="server" Columns="30" CssClass="inputtext" MaxLength="150"
                        TextMode="MultiLine"></asp:TextBox>
                </td>
            </tr>
            <tr class="tdbg">
                <td class="l1">
                    <strong>附件：</strong>
                </td>
                <td>
                    <uc1:UC_SWFUpload ID="UploadAtt" runat="server" />
                </td>
            </tr>
            <tr class="tdbgbottom">
                <td colspan="2">
                    <asp:Button ID="btnAdd" runat="server" Text="确定" CssClass="btn" OnClick="btnAdd_Click" />
                    <input id="btnReturn" type="button" value="关闭" class="btn yellow" />
                </td>
            </tr>
        </table>
    </div>
    <div class="page-footer">
        <div class="btn-list">
            <input id="Button1" type="button" value="上一步" class="btn yellow" onclick="location.href ='Update7.aspx?ID=<%=hfID.Value %>    '" />
            <asp:Button ID="btnSubmit" runat="server" Text="下一步" CssClass="btn" OnClick="btnSubmit_Click" />
        </div>
        <div class="clear">
        </div>
    </div>
</asp:Content>
