﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="RePassword.aspx.cs" Inherits="King_LEPS.Web.RePassword" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="renderer" content="webkit" />
    <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1" />
    <title>供应商用户找回密码-<%=siteConfig.SiteName %></title>
    <meta name="keywords" content="<%=siteConfig.SeoKeywords %>" />
    <meta name="description" content="<%=siteConfig.SeoDescription %>" />
    <link rel="stylesheet" type="text/css" href="style/basic.css" />
    <link rel="stylesheet" type="text/css" href="style/style12.css" />
    <link rel="stylesheet" type="text/css" href="style/register.css" />
    <script type="text/jscript" src="js/jquery-1.8.3.js"></script>
    <script src="Scripts/jquery/plugins/Validform_v5.3.2_min.js" type="text/javascript"></script>
    <script src="Scripts/jquery/plugins/layer/layer.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $("#regform").Validform({ tiptype: 3 });
        });
        function ToggleCode(obj, codeurl) {
            $(obj).children("img").eq(0).attr("src", codeurl + "?time=" + Math.random());
            return false;
        }
    </script>
</head>
<body>
    <form id="regform" runat="server">
        <div class="header">
            <div class="header_mian">
                <div class="shouye"><i class="shouye_tu"></i><a href="/">微点慧采首页</a></div>
                <ul class="ul_left">
                    <li class="hying">您好，欢迎来到微点慧采！</li>
                    <li><a href="Register.aspx" class="zhuce">注册</a></li>
                </ul>
                <ul class="ul_right">
                    <li class="sub_true"><i class="kf"></i><a href="###" class="zhuce">客户服务</a><i class="jtou"></i><i class="t_line"></i>
                        <div class="my_gcw sub_top_cont ke_fu" style='text-align: center;'>
                            <ul>
                                <li><a target="_blank" href="http://wpa.qq.com/msgrd?v=3&uin=84700696&site=qq&menu=yes">在线咨询</a></li>
                                <li><a href="ArticleList.aspx?ID=3">客服中心</a></li>
                            </ul>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="mod-b">
            <div id="header" class="mod-masthead">
                <div class="header-container layout" style="width: 1200px;">
                    <div id="masthead-v5" class="fd-clr">
                        <div class="logo">
                            <a title="微点慧采" href="/">
                                <img alt="微点慧采" src="templates/default/images/logo.png">
                            </a>
                        </div>
                        <div style="float: left; height: 60px; width: 1px; border-left: 1px solid #D8D8D8; margin-top: 9px;"></div>
                        <div class="reg">找回密码</div>
                    </div>
                </div>
            </div>
            <br />
        </div>
        <div class="main" id="main" style="margin-bottom: 30px; border: 1px solid #e2e2e2;">
            <div style="height: 40px"></div>
            <div class="main-form">
                <div class="lt"><span>找回密码</span></div>
                <div class="reg-con">
                    <dl>
                        <dt><em>*</em>用户名：</dt>
                        <dd>
                            <asp:TextBox ID="txtUserName" runat="server" Columns="40" MaxLength="50" CssClass="input input1"
                                datatype="*" nullmsg="请输入用户名" sucmsg=" " />
                            <span class="Validform_checktip"></span>
                        </dd>
                    </dl>
                    <dl>
                        <dt><em>*</em>注册时Email：</dt>
                        <dd>
                            <asp:TextBox ID="txtEmail" runat="server" Columns="40" MaxLength="50" CssClass="input input1"
                                datatype="e" nullmsg="请输入邮箱地址" sucmsg=" " />
                            <span class="Validform_checktip"></span>
                        </dd>
                    </dl>
                    <dl>
                        <dt><em>*</em>验证码：</dt>
                        <dd>
                            <asp:TextBox ID="txtCode" name="txtCode" runat="server" Columns="10" CssClass="input input1"
                                MaxLength="4" Style="ime-mode: disabled; text-transform: uppercase;" datatype="*"
                                nullmsg="请输入验证码" sucmsg=" " />
                            <a id="verifyCode" href="javascript:;" onclick="ToggleCode(this, 'Tools/verify_code.ashx');return false;">
                                <img src="Tools/verify_code.ashx" width="80" height="22" align="absmiddle" />
                                看不清楚？</a>
                        </dd>
                    </dl>
                    <dl>
                        <dt>&nbsp;</dt>
                        <dd>
                            <asp:Button ID="btnSubmit" runat="server" Text="确 定" class="submit" OnClick="btnSubmit_Click" />
                        </dd>
                    </dl>
                </div>
            </div>
            <div style="height: 20px; clear: both;"></div>
        </div>
        <div id="footer-v1" class="mod-footer">
            <div class="footer-container">
                <div class="footer-ali-pages">
                    <ul>
                        <li><a href="content.aspx?v=about">关于微点慧采</a> | </li>
                        <li><a href="content.aspx?v=job">诚聘英才</a>| </li>
                        <li><a href="content.aspx?v=service">服务条款</a> | </li>
                        <li><a href="content.aspx?v=ad">广告服务</a> | </li>
                        <li><a href="content.aspx?v=privacy">隐私保护</a> | </li>
                        <li><a href="content.aspx?v=law">法律声明</a> | </li>
                        <li><a href="content.aspx?v=link">隐私保护</a> | </li>
                        <li><a href="content.aspx?v=contact">联系我们</a></li>
                    </ul>
                </div>
                <div class="footer-ali-copyright">
                    <div>
                        <p>客服电话：<%=siteConfig.Tel %></p>
                        <p>地址：<%=siteConfig.Address %></p>
                        <p class="dh">
                            Copyright &copy; 2015-2018 <a href="http://www.weidanid.com/"
                                target="_blank"><%=siteConfig.Company %></a> <a href="http://www.miitbeian.gov.cn/"
                                    target="_blank"><%=siteConfig.Crod %></a>
                            <script type="text/javascript">var cnzz_protocol = (("https:" == document.location.protocol) ? " https://" : " http://"); document.write(unescape("%3Cspan id='cnzz_stat_icon_1259877700'%3E%3C/span%3E%3Cscript src='" + cnzz_protocol + "s11.cnzz.com/stat.php%3Fid%3D1259877700%26show%3Dpic' type='text/javascript'%3E%3C/script%3E"));</script>
                        </p>
                    </div>
                </div>
                <br />
            </div>
        </div>
    </form>
    <script type="text/jscript" src="js/common.js"></script>
</body>
</html>
