﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Register.aspx.cs" Inherits="King_LEPS.Web.Register" %>

<!DOCTYPE html>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="renderer" content="webkit" />
    <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1" />
    <title>供应商用户注册-<%=siteConfig.SiteName %></title>
    <meta name="keywords" content="<%=siteConfig.SeoKeywords %>" />
    <meta name="description" content="<%=siteConfig.SeoDescription %>" />
    <link href="templates/default/css/basic.css" rel="stylesheet" />
    <link href="templates/default/css/register.css" rel="stylesheet" />
    <script src="Scripts/jquery/jquery-1.8.3.min.js"></script>
    <script src="Scripts/jquery/plugins/Validform_v5.3.2_min.js" type="text/javascript"></script>
    <script src="Scripts/jquery/plugins/layer/layer.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $("#regform").Validform({ tiptype: 3 });
            $("#btnSubmit").click(function () {
                var intNodeID = $("#ddCategor").find("input:checked").size();
                if (intNodeID < 1) {
                    layer.msg("请选择供应分类");
                    return false;
                }
            });
        });
    </script>
</head>
<body>
    <div class="header">
        <div class="header_mian">
            <div class="shouye"><i class="shouye_tu"></i><a href="/">微点慧采首页</a></div>
            <ul class="ul_left">
                <li class="hying">您好，欢迎来到微点慧采！</li>
                <li><a href="Register.aspx" class="zhuce">注册</a></li>
            </ul>
            <ul class="ul_right">
                <li class="sub_true"><i class="kf"></i><a href="###" class="zhuce">客户服务</a><i class="jtou"></i><i class="t_line"></i>
                    <div class="my_gcw sub_top_cont ke_fu" style='text-align: center;'>
                        <ul>
                            <li><a target="_blank" href="http://wpa.qq.com/msgrd?v=3&uin=84700696&site=qq&menu=yes">在线咨询</a></li>
                            <li><a href="ArticleList.aspx?ID=3">客服中心</a></li>
                        </ul>
                    </div>
                </li>
            </ul>
        </div>
    </div>
    <div class="mod-b">
        <div id="header" class="mod-masthead">
            <div class="header-container layout" style="width: 1200px;">
                <div id="masthead-v5">
                    <div class="logo">
                        <a title="微点慧采" href="/">
                            <img alt="微点慧采" src="templates/default/images/logo.png">
                        </a>
                    </div>
                    <div style="float: left; height: 60px; width: 1px; border-left: 1px solid #D8D8D8; margin-top: 9px;"></div>
                    <div class="reg">欢迎注册</div>
                </div>
            </div>
        </div>
    </div>
    <div class="main" id="main" style="margin-bottom: 30px; border: 1px solid #e2e2e2;">
        <form id="regform" runat="server">
            <div style="height: 40px"></div>
            <div class="main-form">
                <div class="lt"><span>账户信息</span></div>
                <div class="reg-con">
                    <dl>
                        <dt><em>*</em>公司名称：</dt>
                        <dd>
                            <asp:TextBox ID="txtName" runat="server" MaxLength="50" CssClass="input" datatype="*"
                                sucmsg=" "></asp:TextBox>
                        </dd>
                    </dl>
                    <dl>
                        <dt><em>*</em>公司地址：</dt>
                        <dd>
                            <asp:TextBox ID="txtAddress" runat="server" MaxLength="50" CssClass="input" datatype="*"
                                sucmsg=" " />
                        </dd>
                    </dl>
                    <dl>
                        <dt><em>*</em>法人代表：</dt>
                        <dd>
                            <asp:TextBox ID="txtAPerson" runat="server" MaxLength="30" CssClass="input" datatype="*"
                                sucmsg=" " />
                        </dd>
                    </dl>
                    <dl>
                        <dt><em>*</em>注册资金：</dt>
                        <dd>
                            <asp:TextBox ID="txtRegisteredCapital" runat="server" MaxLength="30" CssClass="input"
                                datatype="*" sucmsg=" " />
                        </dd>
                    </dl>
                    <dl>
                        <dt><em>*</em>营业范围：</dt>
                        <dd>
                            <asp:TextBox ID="txtScope" runat="server" MaxLength="500" CssClass="tarea" datatype="*"
                                sucmsg=" " TextMode="MultiLine" Rows="3" />
                        </dd>
                    </dl>
                    <dl>
                        <dt><em>*</em>企业简介：</dt>
                        <dd>
                            <asp:TextBox ID="txtIntro" runat="server" MaxLength="500" CssClass="tarea" datatype="*"
                                sucmsg=" " TextMode="MultiLine" Rows="3" />
                        </dd>
                    </dl>
                    <dl>
                        <dt><em>*</em>联系人：</dt>
                        <dd>
                            <asp:TextBox ID="txtContacts" runat="server" MaxLength="10" CssClass="input" datatype="*"
                                sucmsg=" " />
                        </dd>
                    </dl>
                    <dl>
                        <dt><em>*</em>手机：</dt>
                        <dd>
                            <asp:TextBox ID="txtMobilephone" runat="server" MaxLength="11" CssClass="input" datatype="m"
                                sucmsg=" " errormsg="手机号码格式不对" />
                        </dd>
                    </dl>
                    <dl>
                        <dt>电话：</dt>
                        <dd>
                            <asp:TextBox ID="txtTelephone" runat="server" MaxLength="30" CssClass="input" />
                        </dd>
                    </dl>
                    <dl>
                        <dt>传真：</dt>
                        <dd>
                            <asp:TextBox ID="txtFax" runat="server" MaxLength="30" CssClass="input" />
                        </dd>
                    </dl>
                    <dl>
                        <dt><em>*</em>电子邮件：</dt>
                        <dd>
                            <asp:TextBox ID="txtEmail" runat="server" MaxLength="50" CssClass="input" datatype="e"
                                sucmsg=" " />
                            <span class="Validform_checktip"></span><i>（请输入电子邮件地址，注册结果会发送至此邮箱！）</i>
                        </dd>
                    </dl>
                    <dl>
                        <dt><em>*</em>供应分类：</dt>
                        <dd id="ddCategor">
                             <asp:Repeater ID="rptCategoryView" runat="server" OnItemDataBound="rptCategoryView_ItemDataBound">
                                <ItemTemplate>
                                    <div class="bedittitle">
                                        <asp:Label ID="lab_ID" runat="server" Style="display: none" Text='<%# Eval("ID")%>'></asp:Label>
                                        <%# Eval("Name") %>
                                    </div>
                                    <div class="bedit">
                                        <asp:CheckBoxList ID="CategoryList" runat="server" RepeatDirection="Horizontal" RepeatColumns="5">
                                        </asp:CheckBoxList>
                                    </div>
                                </ItemTemplate>
                            </asp:Repeater>
                        </dd>
                    </dl>
                    <dl>
                        <dt></dt>
                        <dd>
                            <asp:Button ID="btnSubmit" runat="server" Text="注 册" class="submit" OnClick="btnSubmit_Click" />
                        </dd>
                    </dl>
                </div>
            </div>
        </form>
        <div class="main-right">
            <span>注册说明：
            </span>
            <ul>
                <li>
                    <!--<i></i>-->
                    <p>微点慧采暂不支持同一公司多个账号，如果您的公司已经注册过，请联系原账号使用人或咨询微点慧采客服；</p>
                    <p style="color: blue;">本站部分栏目为收费项目，只有付费会员才可以浏览</p>
                </li>

            </ul>
        </div>
        <div style="height: 20px; clear: both;"></div>
    </div>
    <div id="footer-v1" class="mod-footer">
        <div class="footer-container">
            <div class="footer-ali-pages">
                <ul>
                    <li><a href="content.aspx?v=about">关于微点慧采</a> | </li>
                    <li><a href="content.aspx?v=job">诚聘英才</a>| </li>
                    <li><a href="content.aspx?v=service">服务条款</a> | </li>
                    <li><a href="content.aspx?v=ad">广告服务</a> | </li>
                    <li><a href="content.aspx?v=privacy">隐私保护</a> | </li>
                    <li><a href="content.aspx?v=law">法律声明</a> | </li>
                    <li><a href="content.aspx?v=link">隐私保护</a> | </li>
                    <li><a href="content.aspx?v=contact">联系我们</a></li>
                </ul>
            </div>
            <div class="footer-ali-copyright">
                <div>
                    <p>客服电话：<%=siteConfig.Tel %></p>
                    <p>地址：<%=siteConfig.Address %></p>
                    <p class="dh">
                        Copyright &copy; 2015-2018 <a href="http://www.weidanid.com/"
                            target="_blank"><%=siteConfig.Company %></a> <a href="http://www.miitbeian.gov.cn/"
                                target="_blank"><%=siteConfig.Crod %></a>
                    </p>
                </div>
            </div>
            <br />
        </div>
    </div>

    <script type="text/jscript" src="js/common.js"></script>
</body>
</html>
