﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="RegisterFile.aspx.cs" Inherits="King_LEPS.Web.RegisterFile" %>

<%@ Register Src="SWFUploadB/UC_SWFUpload.ascx" TagName="UC_SWFUpload" TagPrefix="uc3" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="renderer" content="webkit" />
    <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1" />
    <title>供应商用户注册-<%=siteConfig.SiteName %></title>
    <link rel="stylesheet" type="text/css" href="style/basic.css" />
    <link rel="stylesheet" type="text/css" href="style/style12.css" />
    <link rel="stylesheet" type="text/css" href="style/register.css" />
    <script type="text/jscript" src="js/jquery-1.8.3.js"></script>
    <script src="Scripts/jquery/plugins/layer/layer.js" type="text/javascript"></script>
</head>
<body>
    <script type="text/javascript">
        $(function () {
            $("#btnSubmit").click(function () {
                var strList = $("#<%=Upload1.FindControl("hidIdList").ClientID %>").val();
                if (strList == "" || strList == "[]") {
                    layer.msg("请上传营业执照");
                    return false;
                }
                strList = $("#<%=Upload3.FindControl("hidIdList").ClientID %>").val();
                if (strList == "" || strList == "[]") {
                    layer.msg("请上传法人身份证");
                    return false;
                }
                strList = $("#<%=Upload5.FindControl("hidIdList").ClientID %>").val();
                if (strList == "" || strList == "[]") {
                    layer.msg("请上传银行开户许可证");
                    return false;
                }
            });
        });
    </script>
    <form id="form1" runat="server">
        <div class="header">
            <div class="header_mian">
                <div class="shouye"><i class="shouye_tu"></i><a href="/">微点慧采首页</a></div>
                <ul class="ul_left">
                    <li class="hying">您好，欢迎来到微点慧采！</li>
                    <li><a href="Register.aspx" class="zhuce">注册</a></li>
                </ul>
                <ul class="ul_right">
                    <li class="sub_true"><i class="kf"></i><a href="###" class="zhuce">客户服务</a><i class="jtou"></i><i class="t_line"></i>
                        <div class="my_gcw sub_top_cont ke_fu" style='text-align: center;'>
                            <ul>
                                <li><a target="_blank" href="http://wpa.qq.com/msgrd?v=3&uin=84700696&site=qq&menu=yes">在线咨询</a></li>
                                <li><a href="ArticleList.aspx?ID=3">客服中心</a></li>
                            </ul>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="mod-b">
            <div id="header" class="mod-masthead">
                <div class="header-container layout" style="width: 1200px;">
                    <div id="masthead-v5" class="fd-clr">
                        <div class="logo">
                            <a title="微点慧采" href="/">
                                <img alt="微点慧采" src="templates/default/images/logo.png">
                            </a>
                        </div>
                        <div style="float: left; height: 60px; width: 1px; border-left: 1px solid #D8D8D8; margin-top: 9px;"></div>
                        <div class="reg"><a target="_blank" href="RegisterFile.aspx">供应商注册认证</a></div>                      
                    </div>
                </div>
            </div>
            <br />
        </div>
        <div class="main" id="main" style="margin-bottom: 30px; border: 1px solid #e2e2e2;">
            <div style="height: 40px"></div>
            <div class="main-form">
                <div class="lt"><span>供应商注册认证</span></div>

                <div class="reg-con">
                    <dl>
                        <dt>公司名称：</dt>
                        <dd>
                            <asp:Literal ID="lName" runat="server"></asp:Literal><asp:HiddenField ID="hfID" runat="server" />
                        </dd>
                    </dl>
                    <dl>
                        <dt><em>*</em>营业执照：</dt>
                        <dd>
                            <uc3:UC_SWFUpload ID="Upload1" runat="server" />
                        </dd>
                    </dl>
                    <dl>
                        <dt>税务登记证：</dt>
                        <dd>
                            <uc3:UC_SWFUpload ID="Upload2" runat="server" />
                        </dd>
                    </dl>
                    <dl>
                        <dt><em>*</em>法人身份证：</dt>
                        <dd>
                            <uc3:UC_SWFUpload ID="Upload3" runat="server" />
                        </dd>
                    </dl>
                    <dl>
                        <dt>组织机构代码证：</dt>
                        <dd>
                            <uc3:UC_SWFUpload ID="Upload4" runat="server" />
                        </dd>
                    </dl>
                    <dl>
                        <dt><em>*</em>银行开户许可证：</dt>
                        <dd>
                            <uc3:UC_SWFUpload ID="Upload5" runat="server" />
                        </dd>
                    </dl>
                    <dl>
                        <dt></dt>
                        <dd>
                            <asp:Button ID="btnSubmit" runat="server" Text="完成" class="submit" OnClick="btnSubmit_Click" />
                        </dd>
                    </dl>
                </div>
            </div>
            <div class="main-right">
                <span>注册说明：
                </span>
                <ul>
                    <li>
                        <!--<i></i>-->
                        <p>微点慧采暂不支持同一公司多个账号，如果您的公司已经注册过，请联系原账号使用人或咨询微点慧采客服；</p>
                        <p style="color: blue;">本站部分栏目为收费项目，只有付费会员才可以浏览</p>
                    </li>

                </ul>
            </div>
            <div style="height: 20px; clear: both;"></div>
        </div>
        <div id="footer-v1" class="mod-footer">
            <div class="footer-container">
                <div class="footer-ali-pages">
                    <ul>
                        <li><a href="content.aspx?v=about">关于微点慧采</a> | </li>
                        <li><a href="content.aspx?v=job">诚聘英才</a>| </li>
                        <li><a href="content.aspx?v=service">服务条款</a> | </li>
                        <li><a href="content.aspx?v=ad">广告服务</a> | </li>
                        <li><a href="content.aspx?v=privacy">隐私保护</a> | </li>
                        <li><a href="content.aspx?v=law">法律声明</a> | </li>
                        <li><a href="content.aspx?v=link">隐私保护</a> | </li>
                        <li><a href="content.aspx?v=contact">联系我们</a></li>
                    </ul>
                </div>
                <div class="footer-ali-copyright">
                    <div>
                        <p>客服电话：<%=siteConfig.Tel %></p>
                        <p>地址：<%=siteConfig.Address %></p>
                        <p class="dh">
                            Copyright &copy; 2015-2018 <a href="http://www.weidanid.com/"
                                target="_blank"><%=siteConfig.Company %></a> <a href="http://www.miitbeian.gov.cn/"
                                    target="_blank"><%=siteConfig.Crod %></a>
                            <script type="text/javascript">var cnzz_protocol = (("https:" == document.location.protocol) ? " https://" : " http://"); document.write(unescape("%3Cspan id='cnzz_stat_icon_1259877700'%3E%3C/span%3E%3Cscript src='" + cnzz_protocol + "s11.cnzz.com/stat.php%3Fid%3D1259877700%26show%3Dpic' type='text/javascript'%3E%3C/script%3E"));</script>
                        </p>
                    </div>
                </div>
                <br />
            </div>
        </div>
    </form>
    <script type="text/jscript" src="js/common.js"></script>
</body>
</html>
